package com.pwt.netty.message2;

import lombok.Data;

@Data
public class ChargerGun extends BaseData{

    /**
     * 充电机id
     */
    private String chargerId;

    /**
     * 仓位id, 1个仓位有2个充电机, holderId为null时，表示 应急充电专用
     */
    private String holderId;

    private String id;

    private String name;

    private int index;

    /**
     * 充电状态
     */
    private ChargerStateInfo state = new ChargerStateInfo();

    /**
     * 充电模式 1 室内充电 2 应急充电
     */
    private Integer chargeMode;


    /**
     * (输出)电压
     */
    private Double voltage;

    /**
     * (输出)电流
     */
    private Double current;

    /**
     * 需求电压
     */

    private Double demandVoltage;

    /**
     * 需求电流
     */
    private Double demandCurrent;

    /**
     * 当前充电SOC
     */
    private Integer SOC;

    /**
     * 已充电时间(分钟)
     */
    private Integer chargeTime;

    /**
     * 剩余充电时间(分钟)
     */
    private Integer surplusTime;

    @Override
    public String toString() {
        return "ChargerGun{" +
                "chargerId='" + chargerId + '\'' +
                ", holderId='" + holderId + '\'' +
                ", id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", index=" + index +
                ", state=" + state.getState() +
                ", chargeMode=" + chargeMode +
                ", voltage=" + voltage +
                ", current=" + current +
                ", demandVoltage=" + demandVoltage +
                ", demandCurrent=" + demandCurrent +
                ", SOC=" + SOC +
                ", chargeTime=" + chargeTime +
                ", surplusTime=" + surplusTime +
                '}';
    }
}
