package com.pwt.web.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pwt.common.annotation.Excel;
import com.pwt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 告警记录对象 pwt_alarm_record
 * 
 * @author linyun
 * @date 2022-11-17
 */
@Getter
@Setter
@ToString
@ApiModel(value = "告警记录", description = "告警记录实体类")
public class PwtAlarmRecordVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty("记录id")
    private Long recordId;

    /** 发生时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发生时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("发生时间")
    private Date alarmTime;

    /** 来源设备 */
    @Excel(name = "来源设备")
    @ApiModelProperty("来源设备")
    private String sourceDevice;

    /** 故障名称 */
    @Excel(name = "故障名称")
    @ApiModelProperty("故障名称")
    private String description;

    /** 故障等级 */
    @Excel(name = "故障等级")
    @ApiModelProperty("故障等级")
    private int faultLevel;

}
