package com.pwt.web.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.pwt.common.annotation.Excel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/***
 * @author linyun
 * @version V1.0
 * @Title: StatisticsRecord
 * @Description: 统计记录
 * @date 2022/12/01
 **/
@Getter
@Setter
@ToString
public class StatisticsRecord implements Serializable {

    /*充电机序号*/
    @Excel(name = "充电机编号")
    private String chargerNo;
    /**
     * 用电量
     */
    @Excel(name = "用电量")
    private BigDecimal chargeQuantity;
    /**
     * 充电次数
     */
    @Excel(name = "充电次数")
    private Integer chargeCount;
    /**
     * 换电次数
     */
    @Excel(name = "换电次数")
    private Integer changeCount;
    /**
     * 开始时间
     */
    @JsonIgnore
    private String beginTime;
    /**
     * 结束时间
     */
    @JsonIgnore
    private String endTime;

    private Integer holderNo;
}
