-- MySQL dump 10.13  Distrib 8.0.33, for Win64 (x86_64)
--
-- Host: localhost    Database: zk_akt
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `gen_table`
--

DROP TABLE IF EXISTS `gen_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gen_table` (
  `table_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='代码生成业务表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gen_table`
--

LOCK TABLES `gen_table` WRITE;
/*!40000 ALTER TABLE `gen_table` DISABLE KEYS */;
INSERT INTO `gen_table` VALUES (2,'pwt_config','系统配置',NULL,NULL,'PwtConfig','crud','com.pwt.system','system','pwtConfig','系统配置','linyun','0','/','{\"parentMenuId\":1}','admin','2022-11-21 10:36:51','','2022-11-21 10:38:02',NULL),(3,'pwt_robot_fault','机器人故障信息',NULL,NULL,'PwtRobotFault','crud','com.pwt.web','web','robotFault','机器人故障信息','pwt','0','/','{}','admin','2022-11-23 18:01:00','','2022-11-23 18:02:47',NULL);
/*!40000 ALTER TABLE `gen_table` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gen_table_column`
--

DROP TABLE IF EXISTS `gen_table_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gen_table_column` (
  `column_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '字典类型',
  `sort` int DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='代码生成业务表字段';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gen_table_column`
--

LOCK TABLES `gen_table_column` WRITE;
/*!40000 ALTER TABLE `gen_table_column` DISABLE KEYS */;
INSERT INTO `gen_table_column` VALUES (15,'2','id','主键id','bigint(20)','Long','id','1','1',NULL,'0',NULL,NULL,NULL,'EQ','input','',1,'admin','2022-11-21 10:36:51','','2022-11-21 10:38:02'),(16,'2','system_name','系统名称','varchar(100)','String','systemName','0','0',NULL,'1','1','1','1','LIKE','input','',2,'admin','2022-11-21 10:36:51','','2022-11-21 10:38:02'),(17,'2','charge_soc','充电soc','decimal(11,2)','BigDecimal','chargeSoc','0','0',NULL,'1','1','1','0','EQ','input','',3,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(18,'2','cloud_enabled','云平台开关','char(1)','String','cloudEnabled','0','0',NULL,'1','1','1','0','EQ','input','',4,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(19,'2','cloud_address','云平台地址','varchar(100)','String','cloudAddress','0','0',NULL,'1','1','1','0','EQ','input','',5,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(20,'2','agreement_type','协议类型','char(1)','String','agreementType','0','0',NULL,'1','1','1','0','EQ','select','',6,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(21,'2','robot_ip','换电机器人ip','char(100)','String','robotIp','0','0',NULL,'1','1','1','0','EQ','input','',7,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(22,'2','robot_port','换电机器人端口','int(10)','Integer','robotPort','0','0',NULL,'1','1','1','0','EQ','input','',8,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(23,'2','scanner_ip','扫码器ip','varchar(100)','String','scannerIp','0','0',NULL,'1','1','1','0','EQ','input','',9,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(24,'2','scanner_port','扫码器端口','int(10)','Integer','scannerPort','0','0',NULL,'1','1','1','0','EQ','input','',10,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(25,'2','rfid_ip','rfid ip','varchar(100)','String','rfidIp','0','0',NULL,'1','1','1','0','EQ','input','',11,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(26,'2','rfid_port','rfid_port','int(10)','Integer','rfidPort','0','0',NULL,'1','1','1','0','EQ','input','',12,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(27,'2','charger1_ip','#1充电机ip','varchar(100)','String','charger1Ip','0','0',NULL,'1','1','1','0','EQ','input','',13,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(28,'2','charger1_port','#1充电机端口','int(10)','Integer','charger1Port','0','0',NULL,'1','1','1','0','EQ','input','',14,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(29,'2','charger2_ip','#2充电机ip','varchar(100)','String','charger2Ip','0','0',NULL,'1','1','1','0','EQ','input','',15,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(30,'2','charger2_port','#2充电机端口','int(10)','Integer','charger2Port','0','0',NULL,'1','1','1','0','EQ','input','',16,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(31,'2','charger3_ip','#3充电机ip','varchar(100)','String','charger3Ip','0','0',NULL,'1','1','1','0','EQ','input','',17,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(32,'2','charger3_port','#3充电机端口','int(10)','Integer','charger3Port','0','0',NULL,'1','1','1','0','EQ','input','',18,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(33,'2','charger4_ip','#4充电机ip','varchar(100)','String','charger4Ip','0','0',NULL,'1','1','1','0','EQ','input','',19,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(34,'2','charger4_port','#4充电机端口','int(10)','Integer','charger4Port','0','0',NULL,'1','1','1','0','EQ','input','',20,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(35,'2','charger5_ip','#5充电机ip','varchar(100)','String','charger5Ip','0','0',NULL,'1','1','1','0','EQ','input','',21,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(36,'2','charger5_port','#5充电机端口','int(10)','Integer','charger5Port','0','0',NULL,'1','1','1','0','EQ','input','',22,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(37,'2','charger6_ip','#6充电机ip','varchar(100)','String','charger6Ip','0','0',NULL,'1','1','1','0','EQ','input','',23,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(38,'2','charger6_port','#6充电机端口','int(10)','Integer','charger6Port','0','0',NULL,'1','1','1','0','EQ','input','',24,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(39,'2','charger7_ip','#7充电机ip','varchar(100)','String','charger7Ip','0','0',NULL,'1','1','1','0','EQ','input','',25,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(40,'2','charger7_port','#7充电机端口','int(10)','Integer','charger7Port','0','0',NULL,'1','1','1','0','EQ','input','',26,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(41,'2','charger8_ip','#8充电机ip','varchar(100)','String','charger8Ip','0','0',NULL,'1','1','1','0','EQ','input','',27,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:02'),(42,'2','charger8_port','#8充电机端口','int(10)','Integer','charger8Port','0','0',NULL,'1','1','1','0','EQ','input','',28,'admin','2022-11-21 10:36:52','','2022-11-21 10:38:03'),(43,'3','id','主键id','bigint(20)','Long','id','1','1',NULL,'1',NULL,NULL,NULL,'EQ','input','',1,'admin','2022-11-23 18:01:00','','2022-11-23 18:02:47'),(44,'3','index','下标','int(4)','Integer','index','0','0',NULL,'1','1','1','1','EQ','input','',2,'admin','2022-11-23 18:01:00','','2022-11-23 18:02:47'),(45,'3','fault','故障信息','varchar(100)','String','fault','0','0',NULL,'1','1','1','1','EQ','input','',3,'admin','2022-11-23 18:01:01','','2022-11-23 18:02:47'),(46,'3','level','故障等级','tinyint(1)','Integer','level','0','0',NULL,'1','1','1','1','EQ','input','',4,'admin','2022-11-23 18:01:01','','2022-11-23 18:02:47'),(47,'3','enabled','是否启用(0:未启用 1:已启用)','tinyint(1)','Integer','enabled','0','0',NULL,'1','1','1','1','EQ','input','',5,'admin','2022-11-23 18:01:01','','2022-11-23 18:02:47');
/*!40000 ALTER TABLE `gen_table_column` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwt_alarm_record`
--

DROP TABLE IF EXISTS `pwt_alarm_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pwt_alarm_record` (
  `record_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `alarm_time` datetime DEFAULT NULL COMMENT '发生时间',
  `source_device_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '来源设备',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `source_device_type` int NOT NULL,
  `code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`record_id`) USING BTREE,
  KEY `pwt_alarm_record_code_index` (`code`) USING BTREE,
  KEY `pwt_alarm_record_source_device_type_index` (`source_device_type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='告警记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pwt_alarm_record`
--

LOCK TABLES `pwt_alarm_record` WRITE;
/*!40000 ALTER TABLE `pwt_alarm_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `pwt_alarm_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwt_battery`
--

DROP TABLE IF EXISTS `pwt_battery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pwt_battery` (
  `battery_id` bigint NOT NULL AUTO_INCREMENT COMMENT '电池id',
  `battery_name` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `battery_type` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '电池类型',
  `battery_factory` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '电池厂商',
  `battery_serial` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '电池组序号',
  `production_time` datetime DEFAULT NULL COMMENT '生产日期',
  `vin` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'vin',
  PRIMARY KEY (`battery_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='电池管理';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pwt_battery`
--

LOCK TABLES `pwt_battery` WRITE;
/*!40000 ALTER TABLE `pwt_battery` DISABLE KEYS */;
/*!40000 ALTER TABLE `pwt_battery` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwt_change_battery_record`
--

DROP TABLE IF EXISTS `pwt_change_battery_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pwt_change_battery_record` (
  `record_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `vehicle_no` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '车牌号',
  `vin` varchar(20) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'vin',
  `change_battery_sn` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '换下电池SN',
  `change_battery_power` decimal(11,2) DEFAULT NULL COMMENT '换下电池电量',
  `place_battery_compartment_no` int DEFAULT NULL COMMENT '放置电池仓号',
  `exchange_battery_sn` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '换取电池SN',
  `exchange_battery_power` decimal(11,2) DEFAULT NULL COMMENT '换取电池电量',
  `take_battery_compartment_no` int DEFAULT NULL COMMENT '取电池仓格号',
  `change_start_time` datetime DEFAULT NULL COMMENT '换电开始时间',
  `change_end_time` datetime DEFAULT NULL COMMENT '换电结束时间',
  PRIMARY KEY (`record_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='换电记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pwt_change_battery_record`
--

LOCK TABLES `pwt_change_battery_record` WRITE;
/*!40000 ALTER TABLE `pwt_change_battery_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `pwt_change_battery_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwt_charge_record`
--

DROP TABLE IF EXISTS `pwt_charge_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pwt_charge_record` (
  `record_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `vehicle_no` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '车辆编号',
  `charger_no` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '充电机编号',
  `battery_sn` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '电池SN',
  `charge_quantity` decimal(11,2) DEFAULT NULL COMMENT '充电电量',
  `charge_begin_time` datetime DEFAULT NULL COMMENT '充电开始时间',
  `charge_end_time` datetime DEFAULT NULL COMMENT '充电结束时间',
  `charge_duration` int DEFAULT NULL COMMENT '充电时长',
  `start_soc` int DEFAULT NULL COMMENT '开始SOC',
  `end_soc` int DEFAULT NULL COMMENT '结束soc',
  `stop_reason` int DEFAULT NULL COMMENT '停机原因',
  `charge_mode` int DEFAULT NULL COMMENT '充电模式',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`record_id`) USING BTREE,
  KEY `pwt_charge_record_charger_no_index` (`charger_no`) USING BTREE,
  KEY `pwt_charge_record_vehicle_no_index` (`vehicle_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='充电记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pwt_charge_record`
--

LOCK TABLES `pwt_charge_record` WRITE;
/*!40000 ALTER TABLE `pwt_charge_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `pwt_charge_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwt_charge_stop_reason`
--

DROP TABLE IF EXISTS `pwt_charge_stop_reason`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pwt_charge_stop_reason` (
  `id` int NOT NULL AUTO_INCREMENT,
  `description` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pwt_charge_stop_reason`
--

LOCK TABLES `pwt_charge_stop_reason` WRITE;
/*!40000 ALTER TABLE `pwt_charge_stop_reason` DISABLE KEYS */;
INSERT INTO `pwt_charge_stop_reason` VALUES (1,'报警'),(2,'正常停止'),(3,'异常停止'),(4,'急停停止'),(5,'时间充满停止'),(6,'金额充满停止'),(7,'电量充满停止'),(8,'远程停止'),(9,'在线模式本地停止'),(10,'远程停止'),(11,'手动停止'),(12,'自动充满停止');
/*!40000 ALTER TABLE `pwt_charge_stop_reason` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwt_config`
--

DROP TABLE IF EXISTS `pwt_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pwt_config` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `website_enabled` tinyint(1) DEFAULT NULL COMMENT '站点开关',
  `system_name` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '系统名称',
  `system_ip` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '站控系统ip',
  `system_port` int DEFAULT NULL COMMENT '站控系统端口',
  `admin_expire_time` bigint DEFAULT NULL COMMENT '管理员token有效期(分钟)',
  `last_backup_time` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '上次备份时间',
  `charge_soc` decimal(11,2) DEFAULT NULL COMMENT '充电soc',
  `cloud_enabled` tinyint(1) DEFAULT NULL COMMENT '云平台开关',
  `cloud_address` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '云平台地址',
  `cloud_account` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '云平台账号',
  `cloud_password` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '云平台密码',
  `agreement_type` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '协议类型',
  `vehicle_cidr` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '车载cidr',
  `robot_ip` char(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '换电机器人ip',
  `robot_port` int DEFAULT NULL COMMENT '换电机器人端口',
  `robot_no` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '换电机器人编号',
  `scanner_ip` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '扫码器ip',
  `scanner_port` int DEFAULT NULL COMMENT '扫码器端口',
  `rfid_ip` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'rfid ip',
  `rfid_port` int DEFAULT NULL COMMENT 'rfid_port',
  `charger1_ip` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#1充电机ip',
  `charger1_port` int DEFAULT NULL COMMENT '#1充电机端口',
  `charger1_no` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#1充电机编号',
  `charger1_time` datetime DEFAULT NULL COMMENT '#1充电机定时充电时间',
  `charger1_emg` tinyint(1) DEFAULT NULL,
  `charger2_ip` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#2充电机ip',
  `charger2_port` int DEFAULT NULL COMMENT '#2充电机端口',
  `charger2_no` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#2充电机编号',
  `charger2_time` datetime DEFAULT NULL COMMENT '#2充电机定时充电时间',
  `charger2_emg` tinyint(1) DEFAULT NULL,
  `charger3_ip` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#3充电机ip',
  `charger3_port` int DEFAULT NULL COMMENT '#3充电机端口',
  `charger3_no` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#3充电机编号',
  `charger3_time` datetime DEFAULT NULL COMMENT '#3充电机定时充电时间',
  `charger3_emg` tinyint(1) DEFAULT NULL,
  `charger4_ip` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#4充电机ip',
  `charger4_port` int DEFAULT NULL COMMENT '#4充电机端口',
  `charger4_no` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#4充电机编号',
  `charger4_time` datetime DEFAULT NULL COMMENT '#4充电机定时充电时间',
  `charger4_emg` tinyint(1) DEFAULT NULL,
  `charger5_ip` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#5充电机ip',
  `charger5_port` int DEFAULT NULL COMMENT '#5充电机端口',
  `charger5_no` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#5充电机编号',
  `charger5_time` datetime DEFAULT NULL COMMENT '#5充电机定时充电时间',
  `charger5_emg` tinyint(1) DEFAULT NULL,
  `charger6_ip` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#6充电机ip',
  `charger6_port` int DEFAULT NULL COMMENT '#6充电机端口',
  `charger6_no` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#6充电机编号',
  `charger6_time` datetime DEFAULT NULL COMMENT '#6充电机定时充电时间',
  `charger6_emg` tinyint(1) DEFAULT NULL,
  `charger7_ip` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#7充电机ip',
  `charger7_port` int DEFAULT NULL COMMENT '#7充电机端口',
  `charger7_no` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#7充电机编号',
  `charger7_time` datetime DEFAULT NULL COMMENT '#7充电机定时充电时间',
  `charger7_emg` tinyint(1) DEFAULT NULL,
  `charger8_ip` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#8充电机ip',
  `charger8_port` int DEFAULT NULL COMMENT '#8充电机端口',
  `charger8_no` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '#8充电机编号',
  `charger8_time` datetime DEFAULT NULL COMMENT '#8充电机定时充电时间',
  `charger8_emg` tinyint(1) DEFAULT NULL,
  `is_auto_change_warehouse` bit(1) DEFAULT NULL COMMENT '是否开启自动换仓',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='系统配置';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pwt_config`
--

LOCK TABLES `pwt_config` WRITE;
/*!40000 ALTER TABLE `pwt_config` DISABLE KEYS */;
INSERT INTO `pwt_config` VALUES (1,1,'帕沃特','127.0.0.1',3000,100,'2023年10月17日10点29分31秒',80.00,0,'http://chd.mukucloud.com:8000','test','test','A','127.0.0.1','19.168.0.1',2000,'Robbot_001','192.168.0.2',3000,'192.168.0.3',2000,'192.168.3.41',8080,'11111111111111','2023-08-04 11:00:00',0,'192.168.3.42',8080,'22222222222221','2023-01-13 10:17:23',0,'192.168.3.43',8088,'33333333333331','2023-08-02 14:51:26',0,'192.168.3.44',8088,'44444444444441','2023-01-14 00:00:00',0,'192.168.3.45',8088,'55555555555551','2023-01-13 12:00:00',0,'192.168.3.46',8088,'66666666666661','2023-01-13 10:20:06',0,'192.168.3.47',8088,'77777777777771','2023-01-13 10:22:17',0,'192.168.3.48',8088,'88888888888881','2023-01-13 10:19:23',0,_binary '\0');
/*!40000 ALTER TABLE `pwt_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwt_device_type`
--

DROP TABLE IF EXISTS `pwt_device_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pwt_device_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `device_type_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='设备类型表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pwt_device_type`
--

LOCK TABLES `pwt_device_type` WRITE;
/*!40000 ALTER TABLE `pwt_device_type` DISABLE KEYS */;
INSERT INTO `pwt_device_type` VALUES (1,'站控'),(2,'机器人'),(3,'充电枪'),(4,'电池仓'),(5,'车辆');
/*!40000 ALTER TABLE `pwt_device_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwt_holder_battery_state_cache`
--

DROP TABLE IF EXISTS `pwt_holder_battery_state_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pwt_holder_battery_state_cache` (
  `holder_id` int NOT NULL AUTO_INCREMENT,
  `battery_sn` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '电池sn',
  `rated_capacity` int DEFAULT NULL COMMENT '额定容量',
  `soc` int DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`holder_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='仓位电池状态缓存';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pwt_holder_battery_state_cache`
--

LOCK TABLES `pwt_holder_battery_state_cache` WRITE;
/*!40000 ALTER TABLE `pwt_holder_battery_state_cache` DISABLE KEYS */;
INSERT INTO `pwt_holder_battery_state_cache` VALUES (1,'122382340320',282,0,'2023-10-01 13:23:35'),(2,'122382340320',282,0,'2023-10-01 12:57:02'),(3,'122346340215',282,100,'2023-09-27 11:30:06'),(4,'123114340019',282,100,'2023-10-01 12:57:02'),(5,NULL,NULL,NULL,NULL),(6,NULL,NULL,NULL,NULL),(7,NULL,NULL,NULL,NULL),(8,NULL,NULL,NULL,NULL),(9,NULL,NULL,NULL,NULL),(10,NULL,NULL,NULL,NULL),(11,NULL,NULL,NULL,NULL),(12,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `pwt_holder_battery_state_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwt_holder_charge`
--

DROP TABLE IF EXISTS `pwt_holder_charge`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pwt_holder_charge` (
  `id` bigint NOT NULL COMMENT 'id',
  `holder_no` int DEFAULT NULL COMMENT '仓位',
  `charge_no` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '枪号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='仓位和枪号关系表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pwt_holder_charge`
--

LOCK TABLES `pwt_holder_charge` WRITE;
/*!40000 ALTER TABLE `pwt_holder_charge` DISABLE KEYS */;
INSERT INTO `pwt_holder_charge` VALUES (1,3,'GHLN11196GDJ11'),(2,1,'GHLN11196GDJ13'),(3,2,'GHLN11196GDJ21'),(4,4,'GHLN11196GDJ41'),(5,5,'GHLN11196GDJ51'),(6,6,'GHLN11196GDJ61'),(7,7,'GHLN11196GDJ71'),(8,8,'GHLN11196GDJ81');
/*!40000 ALTER TABLE `pwt_holder_charge` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwt_robot_fault`
--

DROP TABLE IF EXISTS `pwt_robot_fault`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pwt_robot_fault` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `subscript` int DEFAULT NULL COMMENT '下标',
  `fault` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '故障信息',
  `fault_level` tinyint(1) DEFAULT NULL COMMENT '故障等级',
  `enabled` tinyint(1) DEFAULT NULL COMMENT '是否启用(0:未启用 1:已启用)',
  `code` varchar(20) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL COMMENT '故障代码',
  `source_device_type` int NOT NULL COMMENT '来源设备类型',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=400 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='机器人故障信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pwt_robot_fault`
--

LOCK TABLES `pwt_robot_fault` WRITE;
/*!40000 ALTER TABLE `pwt_robot_fault` DISABLE KEYS */;
INSERT INTO `pwt_robot_fault` VALUES (1,0,'#1电池仓正在充电不能换电',2,1,'1000',2),(2,1,'#2电池仓正在充电不能换电',2,1,'1001',2),(3,2,'#3电池仓正在充电不能换电',2,1,'1002',2),(4,3,'#4电池仓正在充电不能换电',2,1,'1003',2),(5,4,'#5电池仓正在充电不能换电',2,1,'1004',2),(6,5,'#6电池仓正在充电不能换电',2,1,'1005',2),(7,6,'#7电池仓正在充电不能换电',2,1,'1006',2),(8,7,'#8电池仓正在充电不能换电',2,1,'1007',2),(9,8,'#9电池仓正在充电不能换电',2,1,'1008',2),(10,9,'#10电池仓正在充电不能换电',2,1,'1009',2),(11,10,'#11电池仓正在充电不能换电',2,1,'1010',2),(12,11,'#12电池仓正在充电不能换电',2,1,'1011',2),(13,12,'车道急停1报警',1,1,'1012',2),(14,13,'车道急停2报警',1,1,'1013',2),(15,14,'仓位急停1报警',1,1,'1014',2),(16,15,'仓位急停2报警',1,1,'1015',2),(17,16,'换电过程中切换到手动状态停止换电报警',2,1,'1016',2),(18,17,'换电过程中从远程切换到本地状态停止换电报警',2,1,'1017',2),(19,18,'换电过程中从本地切换到远程状态停止换电报警',2,1,'1018',2),(20,19,'车辆已上锁或未连接上，停止换电',2,1,'1019',2),(21,20,'停车位置错误',2,1,'1020',2),(22,21,'大车给定位置错误',2,1,'1021',2),(23,22,'小车给定位置错误',2,1,'1022',2),(24,23,'升降给定位置错误',2,1,'1023',2),(25,24,'起升过热',2,1,'1024',2),(26,25,'升降上限位报警',2,1,'1025',2),(27,26,'升降下限位报警',2,1,'1026',2),(28,27,'小车前限位报警',2,1,'1027',2),(29,28,'小车后限位报警',2,1,'1028',2),(30,29,'大车前限位报警',2,1,'1029',2),(31,30,'大车后限位报警',2,1,'1030',2),(32,31,'仓位下降高度报警',2,1,'1031',2),(33,32,'就地仓位设置超限错误',2,1,'1032',2),(34,33,'远程仓位设置超限错误',3,1,'1033',2),(35,34,'取电池仓位上没有电池错误',2,1,'1034',2),(36,35,'放电池仓位上有电池错误',2,1,'1035',2),(37,36,'X方向测量超出报错',2,1,'1036',2),(38,37,'Y方向测量超出报错',2,1,'1037',2),(39,38,'Z方向测量超出报错',2,1,'1038',2),(40,39,'初始换电状态爪上有电池不能换电报警',2,1,'1039',2),(41,40,'初始换电状态吊具电池检测1亮不能换电报警',2,1,'1040',2),(42,41,'初始换电状态吊具电池检测2亮不能换电报警',2,1,'1041',2),(43,42,'初始换电状态下夹具没有关闭不能换电报警',2,1,'1042',2),(44,43,'车位下降高度报警',2,1,'1043',2),(45,44,'火警报警',1,1,'1044',2),(46,45,'',NULL,NULL,'1045',2),(47,46,'',NULL,NULL,'1046',2),(48,47,'',NULL,NULL,'1047',2),(49,48,'行走方向上1#电池仓未归位报警',2,1,'1048',2),(50,49,'行走方向上2#电池仓未归位报警',2,1,'1049',2),(51,50,'行走方向上3#电池仓未归位报警',2,1,'1050',2),(52,51,'行走方向上4#电池仓未归位报警',2,1,'1051',2),(53,52,'行走方向上5#电池仓未归位报警',2,1,'1052',2),(54,53,'行走方向上6#电池仓未归位报警',2,1,'1053',2),(55,54,'行走方向上7#电池仓未归位报警',2,1,'1054',2),(56,55,'行走方向上8#电池仓未归位报警',2,1,'1055',2),(57,56,'行走方向上9#电池仓未归位报警',2,1,'1056',2),(58,57,'行走方向上10#电池仓未归位报警',2,1,'1057',2),(59,58,'行走方向上11#电池仓未归位报警',2,1,'1058',2),(60,59,'行走方向上12#电池仓未归位报警',2,1,'1059',2),(61,60,'',NULL,NULL,'1060',2),(62,61,'',NULL,NULL,'1061',2),(63,62,'',NULL,NULL,'1062',2),(64,63,'',NULL,NULL,'1063',2),(65,64,'起升变频器驱动器过热',2,1,'1064',2),(66,65,'起升电机过载',2,1,'1065',2),(67,66,'起升电机供应电源过电压',2,1,'1066',2),(68,67,'起升供应电源欠电压',2,1,'1067',2),(69,68,'小车变频器驱动器过热',2,1,'1068',2),(70,69,'小车电机供应电源过电压',2,1,'1069',2),(71,70,'小车变频器过载',2,1,'1070',2),(72,71,'小车供应电源欠电压',2,1,'1071',2),(73,72,'起升电机热保护',2,1,'1072',2),(74,73,'起升上限位',2,1,'1073',2),(75,74,'起升下限位',2,1,'1074',2),(76,75,'小车前限位',2,1,'1075',2),(77,76,'小车后限位',2,1,'1076',2),(78,77,'小车读码头错误',2,1,'1077',2),(79,78,'触摸屏急停报警',2,1,'1078',2),(80,79,'现场急停报警',2,1,'1079',2),(81,80,'Z轴初始化错误',2,1,'1080',2),(82,81,'X轴初始化错误',2,1,'1081',2),(83,82,'Z轴伺服故障',2,1,'1082',2),(84,83,'X轴伺服故障',2,1,'1083',2),(85,84,'XZ轴定位失败',2,1,'1084',2),(86,85,'设备在手动状态，不能进行自动操作',2,1,'1085',2),(87,86,'设备在自动状态，不能进行手动操作',2,1,'1086',2),(88,87,'设备在远程状态，不能进行就地操作',2,1,'1087',2),(89,88,'大车变频器驱动器过热',2,1,'1088',2),(90,89,'大车变频器过载',2,1,'1089',2),(91,90,'大车变频器供应电源过电压',2,1,'1090',2),(92,91,'大车变频器供应电源欠电压',2,1,'1091',2),(93,92,'大车前限位',2,1,'1092',2),(94,93,'大车后限位',2,1,'1093',2),(95,94,'大车读码头错误',2,1,'1094',2),(96,95,'',NULL,NULL,'1095',2),(97,96,'夹具打开超时报警',2,1,'1096',2),(98,97,'夹具关闭超时报警',2,1,'1097',2),(99,98,'爪上有电池左着箱限位1打开夹具报警',2,1,'1098',2),(100,99,'爪上有电池左着箱限位2关闭夹具报警',2,1,'1099',2),(101,100,'爪上有电池右着箱限位3打开夹具报警',2,1,'1100',2),(102,101,'爪上有电池右着箱限位4关闭夹具报警',2,1,'1101',2),(103,102,'吊具1位置超上限报警',2,1,'1102',2),(104,103,'吊具1位置超下限报警',2,1,'1103',2),(105,104,'吊车上软限位报警',2,1,'1104',2),(106,105,'吊车下软限位报警',2,1,'1105',2),(107,106,'小车北软限位报警',2,1,'1106',2),(108,107,'小车南软限位报警',2,1,'1107',2),(109,108,'吊具过载报警',2,1,'1108',2),(110,109,'大车东软限位报警',2,1,'1109',2),(111,110,'大车西软限位报警',2,1,'1110',2),(112,111,'',NULL,NULL,'1111',2),(113,112,'1#电池仓通讯错误',2,1,'1112',2),(114,113,'2#电池仓通讯错误',2,1,'1113',2),(115,114,'3#电池仓通讯错误',2,1,'1114',2),(116,115,'4#电池仓通讯错误',2,1,'1115',2),(117,116,'5#电池仓通讯错误',2,1,'1116',2),(118,117,'6#电池仓通讯错误',2,1,'1117',2),(119,118,'7#电池仓通讯错误',2,1,'1118',2),(120,119,'8#电池仓通讯错误',2,1,'1119',2),(121,120,'9#电池仓通讯错误',2,1,'1120',2),(122,121,'10#电池仓通讯错误',2,1,'1121',2),(123,122,'11#电池仓通讯错误',2,1,'1122',2),(124,123,'12#电池仓通讯错误',2,1,'1123',2),(125,124,'仓位安全门警告',2,1,'1124',2),(126,125,'维修台安全门警告',2,1,'1125',2),(127,126,'行车运行中人员检测1警告',6,1,'1126',2),(128,127,'行车运行中人员检测2警告',6,1,'1127',2),(129,128,'小车已行走但是读码尺未输出',2,1,'1128',2),(130,129,'大车已行走但是读码尺未输出',2,1,'1129',2),(131,130,'吊具未升到顶行车不能移动',2,1,'1130',2),(132,131,'吊具抓上未检测到电池',2,1,'1131',2),(133,132,'编码器通讯故障',2,1,'1132',2),(134,133,'大车读码头通讯故障',2,1,'1133',2),(135,134,'起升变频器嵌入式以太网通讯中断',2,1,'1134',2),(136,135,'小车变频器嵌入式以太网通讯中断',2,1,'1135',2),(137,136,'大车变频器嵌入式以太网通讯中断',2,1,'1136',2),(138,137,'起升电机变频器错误',2,1,'1137',2),(139,138,'小车电机变频器错误',2,1,'1138',2),(140,139,'大车电机变频器错误',2,1,'1139',2),(141,140,'换仓结束后空仓没有电池报警',2,1,'1140',2),(142,141,'升降已下降但是编码器未输出',2,1,'1141',2),(143,142,'',NULL,NULL,'1142',2),(144,143,'',NULL,NULL,'1143',2),(145,144,'换电前满仓没有电池报警',2,1,'1144',2),(146,145,'换电结束后满仓还有电池报警',2,1,'1145',2),(147,146,'换电前空仓有电池报警',2,1,'1146',2),(148,147,'换电结束后空仓没有电池报警',2,1,'1147',2),(149,148,'换仓结束后满电池仓未回归报警',2,1,'1148',2),(150,149,'换仓结束后空电池仓未回归报警',2,1,'1149',2),(151,150,'换电结束后满电池仓未回归报警',2,1,'1150',2),(152,151,'换电结束后空电池仓未回归报警',2,1,'1151',2),(153,152,'地面柜通讯故障',2,1,'1152',2),(154,153,'小车读码头通讯故障',2,1,'1153',2),(155,154,'吊具通讯故障',2,1,'1154',2),(156,155,'仓位室从站1通讯故障',2,1,'1155',2),(157,156,'仓位室从站2通讯故障',2,1,'1156',2),(158,157,'',NULL,NULL,'1157',2),(159,158,'',NULL,NULL,'1158',2),(160,159,'',NULL,NULL,'1159',2),(161,160,'1#仓位 Alarm',2,1,'1160',2),(162,161,'1#仓位 GK01 推出到位减速开关故障',2,0,'1161',2),(163,162,'1#仓位 GK03 缩回到位减速开关故障',2,0,'1162',2),(164,163,'1#仓位 移动台推出未离开监控位置',2,0,'1163',2),(165,164,'1#仓位 移动台推出未离开监控位置',2,0,'1164',2),(166,165,'1#仓位 推出互锁信号缺失',2,0,'1165',2),(167,166,'1#仓位 缩回互锁信号缺失',2,0,'1166',2),(168,167,'1#仓位 电池检测1传感器故障',2,1,'1167',2),(169,168,'1#仓位 电池检测2传感器故障',2,1,'1168',2),(170,169,'1#仓位 电池检测1屏蔽',2,1,'1169',2),(171,170,'1#仓位 电池检测2屏蔽',2,1,'1170',2),(172,171,'1#仓位 变频器报错',2,0,'1171',2),(173,172,'1#仓位 仓位屏蔽',2,1,'1172',2),(174,173,'1#仓位 电池检测1屏蔽',2,1,'1173',2),(175,174,'1#仓位 电池检测2屏蔽',2,1,'1174',2),(176,175,'',NULL,NULL,'1175',2),(177,176,'2#仓位 Alarm',2,1,'1176',2),(178,177,'2#仓位 GK01 推出到位减速开关故障',2,0,'1177',2),(179,178,'2#仓位 GK03 缩回到位减速开关故障',2,0,'1178',2),(180,179,'2#仓位 移动台推出未离开监控位置',2,0,'1179',2),(181,180,'2#仓位 移动台推出未离开监控位置',2,0,'1180',2),(182,181,'2#仓位 推出互锁信号缺失',2,0,'1181',2),(183,182,'2#仓位 缩回互锁信号缺失',2,0,'1182',2),(184,183,'2#仓位 电池检测1传感器故障',2,1,'1183',2),(185,184,'2#仓位 电池检测2传感器故障',2,1,'1184',2),(186,185,'2#仓位 电池检测1屏蔽',2,1,'1185',2),(187,186,'2#仓位 电池检测2屏蔽',2,1,'1186',2),(188,187,'2#仓位 变频器报错',2,0,'1187',2),(189,188,'2#仓位 仓位屏蔽',2,1,'1188',2),(190,189,'2#仓位 电池检测1屏蔽',2,1,'1189',2),(191,190,'2#仓位 电池检测2屏蔽',2,1,'1190',2),(192,191,'',NULL,NULL,'1191',2),(193,192,'3#仓位 Alarm',2,1,'1192',2),(194,193,'3#仓位 GK01 推出到位减速开关故障',2,0,'1193',2),(195,194,'3#仓位 GK03 缩回到位减速开关故障',2,0,'1194',2),(196,195,'3#仓位 移动台推出未离开监控位置',2,0,'1195',2),(197,196,'3#仓位 移动台推出未离开监控位置',2,0,'1196',2),(198,197,'3#仓位 推出互锁信号缺失',2,0,'1197',2),(199,198,'3#仓位 缩回互锁信号缺失',2,0,'1198',2),(200,199,'3#仓位 电池检测1传感器故障',2,1,'1199',2),(201,200,'3#仓位 电池检测2传感器故障',2,1,'1200',2),(202,201,'3#仓位 电池检测1屏蔽',2,1,'1201',2),(203,202,'3#仓位 电池检测2屏蔽',2,1,'1202',2),(204,203,'3#仓位 变频器报错',2,0,'1203',2),(205,204,'3#仓位 仓位屏蔽',2,1,'1204',2),(206,205,'3#仓位 电池检测1屏蔽',2,1,'1205',2),(207,206,'3#仓位 电池检测2屏蔽',2,1,'1206',2),(208,207,'',NULL,NULL,'1207',2),(209,208,'4#仓位 Alarm',2,1,'1208',2),(210,209,'4#仓位 GK01 推出到位减速开关故障',2,0,'1209',2),(211,210,'4#仓位 GK03 缩回到位减速开关故障',2,0,'1210',2),(212,211,'4#仓位 移动台推出未离开监控位置',2,0,'1211',2),(213,212,'4#仓位 移动台推出未离开监控位置',2,0,'1212',2),(214,213,'4#仓位 推出互锁信号缺失',2,0,'1213',2),(215,214,'4#仓位 缩回互锁信号缺失',2,0,'1214',2),(216,215,'4#仓位 电池检测1传感器故障',2,1,'1215',2),(217,216,'4#仓位 电池检测2传感器故障',2,1,'1216',2),(218,217,'4#仓位 电池检测1屏蔽',2,1,'1217',2),(219,218,'4#仓位 电池检测2屏蔽',2,1,'1218',2),(220,219,'4#仓位 变频器报错',2,0,'1219',2),(221,220,'4#仓位 仓位屏蔽',2,1,'1220',2),(222,221,'4#仓位 电池检测1屏蔽',2,1,'1221',2),(223,222,'4#仓位 电池检测2屏蔽',2,1,'1222',2),(224,223,'',NULL,NULL,'1223',2),(225,224,'5#仓位 Alarm',2,1,'1224',2),(226,225,'5#仓位 GK01 推出到位减速开关故障',2,0,'1225',2),(227,226,'5#仓位 GK03 缩回到位减速开关故障',2,0,'1226',2),(228,227,'5#仓位 移动台推出未离开监控位置',2,0,'1227',2),(229,228,'5#仓位 移动台推出未离开监控位置',2,0,'1228',2),(230,229,'5#仓位 推出互锁信号缺失',2,0,'1229',2),(231,230,'5#仓位 缩回互锁信号缺失',2,0,'1230',2),(232,231,'5#仓位 电池检测1传感器故障',2,1,'1231',2),(233,232,'5#仓位 电池检测2传感器故障',2,1,'1232',2),(234,233,'5#仓位 电池检测1屏蔽',2,1,'1233',2),(235,234,'5#仓位 电池检测2屏蔽',2,1,'1234',2),(236,235,'5#仓位 变频器报错',2,0,'1235',2),(237,236,'5#仓位 仓位屏蔽',2,1,'1236',2),(238,237,'5#仓位 电池检测1屏蔽',2,1,'1237',2),(239,238,'5#仓位 电池检测2屏蔽',2,1,'1238',2),(240,239,'',NULL,NULL,'1239',2),(241,240,'6#仓位 Alarm',2,1,'1240',2),(242,241,'6#仓位 GK01 推出到位减速开关故障',2,0,'1241',2),(243,242,'6#仓位 GK03 缩回到位减速开关故障',2,0,'1242',2),(244,243,'6#仓位 移动台推出未离开监控位置',2,0,'1243',2),(245,244,'6#仓位 移动台推出未离开监控位置',2,0,'1244',2),(246,245,'6#仓位 推出互锁信号缺失',2,0,'1245',2),(247,246,'6#仓位 缩回互锁信号缺失',2,0,'1246',2),(248,247,'6#仓位 电池检测1传感器故障',2,1,'1247',2),(249,248,'6#仓位 电池检测2传感器故障',2,1,'1248',2),(250,249,'6#仓位 电池检测1屏蔽',2,1,'1249',2),(251,250,'6#仓位 电池检测2屏蔽',2,1,'1250',2),(252,251,'6#仓位 变频器报错',2,0,'1251',2),(253,252,'6#仓位 仓位屏蔽',2,1,'1252',2),(254,253,'6#仓位 电池检测1屏蔽',2,1,'1253',2),(255,254,'6#仓位 电池检测2屏蔽',2,1,'1254',2),(256,255,'',NULL,NULL,'1255',2),(257,256,'7#仓位 Alarm',2,1,'1256',2),(258,257,'7#仓位 GK01 推出到位减速开关故障',2,0,'1257',2),(259,258,'7#仓位 GK03 缩回到位减速开关故障',2,0,'1258',2),(260,259,'7#仓位 移动台推出未离开监控位置',2,0,'1259',2),(261,260,'7#仓位 移动台推出未离开监控位置',2,0,'1260',2),(262,261,'7#仓位 推出互锁信号缺失',2,0,'1261',2),(263,262,'7#仓位 缩回互锁信号缺失',2,0,'1262',2),(264,263,'7#仓位 电池检测1传感器故障',2,1,'1263',2),(265,264,'7#仓位 电池检测2传感器故障',2,1,'1264',2),(266,265,'7#仓位 电池检测1屏蔽',2,1,'1265',2),(267,266,'7#仓位 电池检测2屏蔽',2,1,'1266',2),(268,267,'7#仓位 变频器报错',2,0,'1267',2),(269,268,'7#仓位 仓位屏蔽',2,1,'1268',2),(270,269,'7#仓位 电池检测1屏蔽',2,1,'1269',2),(271,270,'7#仓位 电池检测2屏蔽',2,1,'1270',2),(272,271,'',NULL,NULL,'1271',2),(273,272,'8#仓位 Alarm',2,1,'1272',2),(274,273,'8#仓位 GK01 推出到位减速开关故障',2,0,'1273',2),(275,274,'8#仓位 GK03 缩回到位减速开关故障',2,0,'1274',2),(276,275,'8#仓位 移动台推出未离开监控位置',2,0,'1275',2),(277,276,'8#仓位 移动台推出未离开监控位置',2,0,'1276',2),(278,277,'8#仓位 推出互锁信号缺失',2,0,'1277',2),(279,278,'8#仓位 缩回互锁信号缺失',2,0,'1278',2),(280,279,'8#仓位 电池检测1传感器故障',2,1,'1279',2),(281,280,'8#仓位 电池检测2传感器故障',2,1,'1280',2),(282,281,'8#仓位 电池检测1屏蔽',2,1,'1281',2),(283,282,'8#仓位 电池检测2屏蔽',2,1,'1282',2),(284,283,'8#仓位 变频器报错',2,0,'1283',2),(285,284,'8#仓位 仓位屏蔽',2,1,'1284',2),(286,285,'8#仓位 电池检测1屏蔽',2,1,'1285',2),(287,286,'8#仓位 电池检测2屏蔽',2,1,'1286',2),(288,287,'',NULL,NULL,'1287',2),(289,288,'9#仓位 Alarm',2,1,'1288',2),(290,289,'9#仓位 GK01 推出到位减速开关故障',2,0,'1289',2),(291,290,'9#仓位 GK03 缩回到位减速开关故障',2,0,'1290',2),(292,291,'9#仓位 移动台推出未离开监控位置',2,0,'1291',2),(293,292,'9#仓位 移动台推出未离开监控位置',2,0,'1292',2),(294,293,'9#仓位 推出互锁信号缺失',2,0,'1293',2),(295,294,'9#仓位 缩回互锁信号缺失',2,0,'1294',2),(296,295,'9#仓位 电池检测1传感器故障',2,1,'1295',2),(297,296,'9#仓位 电池检测2传感器故障',2,1,'1296',2),(298,297,'9#仓位 电池检测1屏蔽',2,1,'1297',2),(299,298,'9#仓位 电池检测2屏蔽',2,1,'1298',2),(300,299,'9#仓位 变频器报错',2,0,'1299',2),(301,300,'9#仓位 仓位屏蔽',2,1,'1300',2),(302,301,'9#仓位 电池检测1屏蔽',2,1,'1301',2),(303,302,'9#仓位 电池检测2屏蔽',2,1,'1302',2),(304,303,'',NULL,NULL,'1303',2),(305,304,'10#仓位 Alarm',2,1,'1304',2),(306,305,'10#仓位 GK01 推出到位减速开关故障',2,0,'1305',2),(307,306,'10#仓位 GK03 缩回到位减速开关故障',2,0,'1306',2),(308,307,'10#仓位 移动台推出未离开监控位置',2,0,'1307',2),(309,308,'10#仓位 移动台推出未离开监控位置',2,0,'1308',2),(310,309,'10#仓位 推出互锁信号缺失',2,0,'1309',2),(311,310,'10#仓位 缩回互锁信号缺失',2,0,'1310',2),(312,311,'10#仓位 电池检测1传感器故障',2,1,'1311',2),(313,312,'10#仓位 电池检测2传感器故障',2,1,'1312',2),(314,313,'10#仓位 电池检测1屏蔽',2,1,'1313',2),(315,314,'10#仓位 电池检测2屏蔽',2,1,'1314',2),(316,315,'10#仓位 变频器报错',2,0,'1315',2),(317,316,'10#仓位 仓位屏蔽',2,1,'1316',2),(318,317,'10#仓位 电池检测1屏蔽',2,1,'1317',2),(319,318,'10#仓位 电池检测2屏蔽',2,1,'1318',2),(320,319,'',NULL,NULL,'1319',2),(321,320,'11#仓位 Alarm',2,1,'1320',2),(322,321,'11#仓位 GK01 推出到位减速开关故障',2,0,'1321',2),(323,322,'11#仓位 GK03 缩回到位减速开关故障',2,0,'1322',2),(324,323,'11#仓位 移动台推出未离开监控位置',2,0,'1323',2),(325,324,'11#仓位 移动台推出未离开监控位置',2,0,'1324',2),(326,325,'11#仓位 推出互锁信号缺失',2,0,'1325',2),(327,326,'11#仓位 缩回互锁信号缺失',2,0,'1326',2),(328,327,'11#仓位 电池检测1传感器故障',2,1,'1327',2),(329,328,'11#仓位 电池检测2传感器故障',2,1,'1328',2),(330,329,'11#仓位 电池检测1屏蔽',2,1,'1329',2),(331,330,'11#仓位 电池检测2屏蔽',2,1,'1330',2),(332,331,'11#仓位 变频器报错',2,0,'1331',2),(333,332,'11#仓位 仓位屏蔽',2,1,'1332',2),(334,333,'11#仓位 电池检测1屏蔽',2,1,'1333',2),(335,334,'11#仓位 电池检测2屏蔽',2,1,'1334',2),(336,335,'',NULL,NULL,'1335',2),(337,336,'12#仓位 Alarm',2,1,'1336',2),(338,337,'12#仓位 GK01 推出到位减速开关故障',2,0,'1337',2),(339,338,'12#仓位 GK03 缩回到位减速开关故障',2,0,'1338',2),(340,339,'12#仓位 移动台推出未离开监控位置',2,0,'1339',2),(341,340,'12#仓位 移动台推出未离开监控位置',2,0,'1340',2),(342,341,'12#仓位 推出互锁信号缺失',2,0,'1341',2),(343,342,'12#仓位 缩回互锁信号缺失',2,0,'1342',2),(344,343,'12#仓位 电池检测1传感器故障',2,1,'1343',2),(345,344,'12#仓位 电池检测2传感器故障',2,1,'1344',2),(346,345,'12#仓位 电池检测1屏蔽',2,1,'1345',2),(347,346,'12#仓位 电池检测2屏蔽',2,1,'1346',2),(348,347,'12#仓位 变频器报错',2,0,'1347',2),(349,348,'12#仓位 仓位屏蔽',2,1,'1348',2),(350,349,'12#仓位 电池检测1屏蔽',2,1,'1349',2),(351,350,'12#仓位 电池检测2屏蔽',2,1,'1350',2),(352,351,'',NULL,NULL,'1351',2),(353,0,'CC1故障',4,1,'3001',3),(354,1,'BMS故障',4,1,'3002',3),(355,2,'BMS错误',4,1,'3003',3),(356,3,'单体电压过高',4,1,'3004',3),(357,4,'单体温度过高',4,1,'3005',3),(358,5,'输入过压',4,1,'3006',3),(359,6,'输入欠压',4,1,'3007',3),(360,7,'输入短路',4,1,'3008',3),(361,8,'充电机内部故障',4,1,'3009',3),(362,9,'输出过压',4,1,'3010',3),(363,10,'直流输出断路',4,1,'3011',3),(364,11,'系统故障',4,1,'3012',3),(365,12,'充电机系统故障',4,1,'3013',3),(366,13,'模块故障',4,1,'3014',3),(367,14,'电池故障',4,1,'3015',3),(368,15,'绝缘不通过',4,1,'3016',3),(369,16,'绝缘条件不满足',4,1,'3017',3),(370,17,'触摸屏故障',4,1,'3018',3),(371,18,'读卡器故障',4,1,'3019',3),(372,19,'急停故障',4,1,'3020',3),(373,20,'充电桩电表故障',4,1,'3021',3),(374,21,'绝缘检测故障',4,1,'3022',3),(375,22,'整流模块故障',4,1,'3023',3),(376,23,'网络模块故障',4,1,'3024',3),(377,24,'单体动力蓄电池电压过高、过低',4,1,'3025',3),(378,25,'高压继电器故障',4,1,'3026',3),(379,26,'接收BRM超时',4,1,'3027',3),(380,27,'接收BCP超时',4,1,'3028',3),(381,28,'接收BRO超时',4,1,'3029',3),(382,29,'接收BCS超时',4,1,'3030',3),(383,30,'接收BCL超时',4,1,'3031',3),(384,31,'接收BST超时',4,1,'3032',3),(385,32,'接收BSD超时',4,1,'3033',3),(386,33,'接收CRM超时',4,1,'3034',3),(387,34,'接收CML超时',4,1,'3035',3),(388,35,'接收CRO超时',4,1,'3036',3),(389,36,'接收CCS超时',4,1,'3037',3),(390,37,'接收CST超时',4,1,'3039',3),(391,38,'接收CSD超时',4,1,'3040',3),(392,39,'接收BSM超时',4,1,'3041',3),(393,40,'其他故障',4,1,'3042',3),(394,0,'单体动力蓄电池电压过低',5,1,'4000',4),(395,1,'单体动力蓄电池电压过高',5,1,'4001',4),(396,2,'整车动力蓄电池荷电状态SOC过低',5,1,'4002',4),(397,3,'整车动力蓄电池荷电状态SOC过高',5,1,'4003',4),(398,4,'动力蓄电池充电过流',5,1,'4004',4),(399,5,'动力蓄电池绝缘状态不正常',5,1,'4005',4);
/*!40000 ALTER TABLE `pwt_robot_fault` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwt_vehicle`
--

DROP TABLE IF EXISTS `pwt_vehicle`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pwt_vehicle` (
  `vehicle_id` bigint NOT NULL AUTO_INCREMENT COMMENT '车辆id',
  `vehicle_name` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '名称',
  `vehicle_no` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '车牌号',
  `vin` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'vin',
  `rfid` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'rfid',
  `create_time` datetime DEFAULT NULL COMMENT '添加时间',
  PRIMARY KEY (`vehicle_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='车辆管理';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pwt_vehicle`
--

LOCK TABLES `pwt_vehicle` WRITE;
/*!40000 ALTER TABLE `pwt_vehicle` DISABLE KEYS */;
/*!40000 ALTER TABLE `pwt_vehicle` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_blob_triggers`
--

DROP TABLE IF EXISTS `qrtz_blob_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_blob_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='Blob类型的触发器表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_blob_triggers`
--

LOCK TABLES `qrtz_blob_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_blob_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_blob_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_calendars`
--

DROP TABLE IF EXISTS `qrtz_calendars`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_calendars` (
  `sched_name` varchar(120) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`,`calendar_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='日历信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_calendars`
--

LOCK TABLES `qrtz_calendars` WRITE;
/*!40000 ALTER TABLE `qrtz_calendars` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_calendars` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_cron_triggers`
--

DROP TABLE IF EXISTS `qrtz_cron_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_cron_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='Cron类型的触发器表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_cron_triggers`
--

LOCK TABLES `qrtz_cron_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_cron_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_cron_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_fired_triggers`
--

DROP TABLE IF EXISTS `qrtz_fired_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_fired_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint NOT NULL COMMENT '触发的时间',
  `sched_time` bigint NOT NULL COMMENT '定时器制定的时间',
  `priority` int NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`,`entry_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='已触发的触发器表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_fired_triggers`
--

LOCK TABLES `qrtz_fired_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_fired_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_fired_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_job_details`
--

DROP TABLE IF EXISTS `qrtz_job_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_job_details` (
  `sched_name` varchar(120) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`,`job_name`,`job_group`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='任务详细信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_job_details`
--

LOCK TABLES `qrtz_job_details` WRITE;
/*!40000 ALTER TABLE `qrtz_job_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_job_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_locks`
--

DROP TABLE IF EXISTS `qrtz_locks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_locks` (
  `sched_name` varchar(120) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`,`lock_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='存储的悲观锁信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_locks`
--

LOCK TABLES `qrtz_locks` WRITE;
/*!40000 ALTER TABLE `qrtz_locks` DISABLE KEYS */;
INSERT INTO `qrtz_locks` VALUES ('RuoyiScheduler','STATE_ACCESS'),('RuoyiScheduler','TRIGGER_ACCESS');
/*!40000 ALTER TABLE `qrtz_locks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_paused_trigger_grps`
--

DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_paused_trigger_grps` (
  `sched_name` varchar(120) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`,`trigger_group`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='暂停的触发器表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_paused_trigger_grps`
--

LOCK TABLES `qrtz_paused_trigger_grps` WRITE;
/*!40000 ALTER TABLE `qrtz_paused_trigger_grps` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_paused_trigger_grps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_scheduler_state`
--

DROP TABLE IF EXISTS `qrtz_scheduler_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_scheduler_state` (
  `sched_name` varchar(120) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`,`instance_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='调度器状态表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_scheduler_state`
--

LOCK TABLES `qrtz_scheduler_state` WRITE;
/*!40000 ALTER TABLE `qrtz_scheduler_state` DISABLE KEYS */;
INSERT INTO `qrtz_scheduler_state` VALUES ('RuoyiScheduler','LAPTOP-0D8JBETQ1690527614115',1690527706557,15000);
/*!40000 ALTER TABLE `qrtz_scheduler_state` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_simple_triggers`
--

DROP TABLE IF EXISTS `qrtz_simple_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_simple_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='简单触发器的信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_simple_triggers`
--

LOCK TABLES `qrtz_simple_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_simple_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_simple_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_simprop_triggers`
--

DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_simprop_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13,4) DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13,4) DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='同步机制的行锁表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_simprop_triggers`
--

LOCK TABLES `qrtz_simprop_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_simprop_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_simprop_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_triggers`
--

DROP TABLE IF EXISTS `qrtz_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint NOT NULL COMMENT '开始时间',
  `end_time` bigint DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  KEY `sched_name` (`sched_name`,`job_name`,`job_group`) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='触发器详细信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_triggers`
--

LOCK TABLES `qrtz_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_config`
--

DROP TABLE IF EXISTS `sys_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_config` (
  `config_id` int NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='参数配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_config`
--

LOCK TABLES `sys_config` WRITE;
/*!40000 ALTER TABLE `sys_config` DISABLE KEYS */;
INSERT INTO `sys_config` VALUES (1,'主框架页-默认皮肤样式名称','sys.index.skinName','skin-blue','Y','admin','2022-11-01 10:16:46','',NULL,'蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow'),(2,'用户管理-账号初始密码','sys.user.initPassword','123456','Y','admin','2022-11-01 10:16:46','',NULL,'初始化密码 123456'),(3,'主框架页-侧边栏主题','sys.index.sideTheme','theme-dark','Y','admin','2022-11-01 10:16:46','',NULL,'深色主题theme-dark，浅色主题theme-light'),(4,'账号自助-验证码开关','sys.account.captchaEnabled','false','Y','admin','2022-11-01 10:16:46','admin','2022-11-01 10:45:32','是否开启验证码功能（true开启，false关闭）'),(5,'账号自助-是否开启用户注册功能','sys.account.registerUser','false','Y','admin','2022-11-01 10:16:46','',NULL,'是否开启注册用户功能（true开启，false关闭）');
/*!40000 ALTER TABLE `sys_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_dict_data`
--

DROP TABLE IF EXISTS `sys_dict_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_dict_data` (
  `dict_code` bigint NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int DEFAULT '0' COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='字典数据表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_dict_data`
--

LOCK TABLES `sys_dict_data` WRITE;
/*!40000 ALTER TABLE `sys_dict_data` DISABLE KEYS */;
INSERT INTO `sys_dict_data` VALUES (1,1,'男','0','sys_user_sex','','','Y','0','admin','2022-11-01 10:16:44','',NULL,'性别男'),(2,2,'女','1','sys_user_sex','','','N','0','admin','2022-11-01 10:16:44','',NULL,'性别女'),(3,3,'未知','2','sys_user_sex','','','N','0','admin','2022-11-01 10:16:44','',NULL,'性别未知'),(4,1,'显示','0','sys_show_hide','','primary','Y','0','admin','2022-11-01 10:16:44','',NULL,'显示菜单'),(5,2,'隐藏','1','sys_show_hide','','danger','N','0','admin','2022-11-01 10:16:44','',NULL,'隐藏菜单'),(6,1,'正常','0','sys_normal_disable','','primary','Y','0','admin','2022-11-01 10:16:44','',NULL,'正常状态'),(7,2,'停用','1','sys_normal_disable','','danger','N','0','admin','2022-11-01 10:16:44','',NULL,'停用状态'),(8,1,'正常','0','sys_job_status','','primary','Y','0','admin','2022-11-01 10:16:44','',NULL,'正常状态'),(9,2,'暂停','1','sys_job_status','','danger','N','0','admin','2022-11-01 10:16:44','',NULL,'停用状态'),(10,1,'默认','DEFAULT','sys_job_group','','','Y','0','admin','2022-11-01 10:16:44','',NULL,'默认分组'),(11,2,'系统','SYSTEM','sys_job_group','','','N','0','admin','2022-11-01 10:16:44','',NULL,'系统分组'),(12,1,'是','Y','sys_yes_no','','primary','Y','0','admin','2022-11-01 10:16:44','',NULL,'系统默认是'),(13,2,'否','N','sys_yes_no','','danger','N','0','admin','2022-11-01 10:16:44','',NULL,'系统默认否'),(14,1,'通知','1','sys_notice_type','','warning','Y','0','admin','2022-11-01 10:16:44','',NULL,'通知'),(15,2,'公告','2','sys_notice_type','','success','N','0','admin','2022-11-01 10:16:44','',NULL,'公告'),(16,1,'正常','0','sys_notice_status','','primary','Y','0','admin','2022-11-01 10:16:44','',NULL,'正常状态'),(17,2,'关闭','1','sys_notice_status','','danger','N','0','admin','2022-11-01 10:16:45','',NULL,'关闭状态'),(18,99,'其他','0','sys_oper_type','','info','N','0','admin','2022-11-01 10:16:45','',NULL,'其他操作'),(19,1,'新增','1','sys_oper_type','','info','N','0','admin','2022-11-01 10:16:45','',NULL,'新增操作'),(20,2,'修改','2','sys_oper_type','','info','N','0','admin','2022-11-01 10:16:45','',NULL,'修改操作'),(21,3,'删除','3','sys_oper_type','','danger','N','0','admin','2022-11-01 10:16:45','',NULL,'删除操作'),(22,4,'授权','4','sys_oper_type','','primary','N','0','admin','2022-11-01 10:16:45','',NULL,'授权操作'),(23,5,'导出','5','sys_oper_type','','warning','N','0','admin','2022-11-01 10:16:45','',NULL,'导出操作'),(24,6,'导入','6','sys_oper_type','','warning','N','0','admin','2022-11-01 10:16:45','',NULL,'导入操作'),(25,7,'强退','7','sys_oper_type','','danger','N','0','admin','2022-11-01 10:16:45','',NULL,'强退操作'),(26,8,'生成代码','8','sys_oper_type','','warning','N','0','admin','2022-11-01 10:16:45','',NULL,'生成操作'),(27,9,'清空数据','9','sys_oper_type','','danger','N','0','admin','2022-11-01 10:16:45','',NULL,'清空操作'),(28,1,'成功','0','sys_common_status','','primary','N','0','admin','2022-11-01 10:16:45','',NULL,'正常状态'),(29,2,'失败','1','sys_common_status','','danger','N','0','admin','2022-11-01 10:16:45','',NULL,'停用状态');
/*!40000 ALTER TABLE `sys_dict_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_dict_type`
--

DROP TABLE IF EXISTS `sys_dict_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_dict_type` (
  `dict_id` bigint NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE KEY `dict_type` (`dict_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='字典类型表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_dict_type`
--

LOCK TABLES `sys_dict_type` WRITE;
/*!40000 ALTER TABLE `sys_dict_type` DISABLE KEYS */;
INSERT INTO `sys_dict_type` VALUES (1,'用户性别','sys_user_sex','0','admin','2022-11-01 10:16:43','',NULL,'用户性别列表'),(2,'菜单状态','sys_show_hide','0','admin','2022-11-01 10:16:43','',NULL,'菜单状态列表'),(3,'系统开关','sys_normal_disable','0','admin','2022-11-01 10:16:43','',NULL,'系统开关列表'),(4,'任务状态','sys_job_status','0','admin','2022-11-01 10:16:43','',NULL,'任务状态列表'),(5,'任务分组','sys_job_group','0','admin','2022-11-01 10:16:43','',NULL,'任务分组列表'),(6,'系统是否','sys_yes_no','0','admin','2022-11-01 10:16:43','',NULL,'系统是否列表'),(7,'通知类型','sys_notice_type','0','admin','2022-11-01 10:16:43','',NULL,'通知类型列表'),(8,'通知状态','sys_notice_status','0','admin','2022-11-01 10:16:43','',NULL,'通知状态列表'),(9,'操作类型','sys_oper_type','0','admin','2022-11-01 10:16:43','',NULL,'操作类型列表'),(10,'系统状态','sys_common_status','0','admin','2022-11-01 10:16:43','',NULL,'登录状态列表');
/*!40000 ALTER TABLE `sys_dict_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_job`
--

DROP TABLE IF EXISTS `sys_job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_job` (
  `job_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`,`job_name`,`job_group`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=105 DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='定时任务调度表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_job`
--

LOCK TABLES `sys_job` WRITE;
/*!40000 ALTER TABLE `sys_job` DISABLE KEYS */;
INSERT INTO `sys_job` VALUES (1,'#1充电机定时充电','DEFAULT','ryTask.charger1','00 00 11 04 08 ? 2023','3','1','0','admin','2022-11-01 10:16:48','','2023-08-04 09:54:10',''),(2,'#2充电机定时充电','DEFAULT','ryTask.charger2','23 17 10 13 01 ? 2023','3','1','0','admin','2022-11-01 10:16:48','','2023-01-13 10:17:20',''),(3,'#3充电机定时充电','DEFAULT','ryTask.charger3','26 51 14 02 08 ? 2023','3','1','0','admin','2022-11-01 10:16:48','','2023-08-02 14:50:34',''),(100,'#4充电机定时充电','DEFAULT','ryTask.charger4','00 00 00 14 01 ? 2023','3','1','0','admin','2022-12-29 13:16:48','','2023-01-13 10:17:49',''),(101,'#5充电机定时充电','DEFAULT','ryTask.charger5','00 00 12 13 01 ? 2023','3','1','0','admin','2022-12-29 13:16:49','','2023-01-13 10:17:59',''),(102,'#6充电机定时充电','DEFAULT','ryTask.charger6','06 20 10 13 01 ? 2023','3','1','0','admin','2022-12-29 13:17:48','','2023-01-13 10:18:13',''),(103,'#7充电机定时充电','DEFAULT','ryTask.charger7','17 22 10 13 01 ? 2023','3','1','0','admin','2022-12-29 13:16:48','','2023-01-13 10:18:19',''),(104,'#8充电机定时充电','DEFAULT','ryTask.charger8','23 19 10 13 01 ? 2023','3','1','0','admin','2022-12-29 13:16:48','','2023-01-13 10:18:25','');
/*!40000 ALTER TABLE `sys_job` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_job_log`
--

DROP TABLE IF EXISTS `sys_job_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_job_log` (
  `job_log_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '异常信息',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='定时任务调度日志表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_job_log`
--

LOCK TABLES `sys_job_log` WRITE;
/*!40000 ALTER TABLE `sys_job_log` DISABLE KEYS */;
INSERT INTO `sys_job_log` VALUES (1,'#1充电机定时充电','DEFAULT','ryTask.charger1','#1充电机定时充电 总共耗时：3毫秒','0','','2022-12-29 13:48:06'),(2,'#2充电机定时充电','DEFAULT','ryTask.charger2','#2充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:09'),(3,'#7充电机定时充电','DEFAULT','ryTask.charger7','#7充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:14'),(4,'#5充电机定时充电','DEFAULT','ryTask.charger5','#5充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:14'),(5,'#4充电机定时充电','DEFAULT','ryTask.charger4','#4充电机定时充电 总共耗时：1毫秒','0','','2022-12-29 13:48:14'),(6,'#1充电机定时充电','DEFAULT','ryTask.charger1','#1充电机定时充电 总共耗时：1毫秒','0','','2022-12-29 13:48:14'),(7,'#6充电机定时充电','DEFAULT','ryTask.charger6','#6充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:14'),(8,'#8充电机定时充电','DEFAULT','ryTask.charger8','#8充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:14'),(9,'#3充电机定时充电','DEFAULT','ryTask.charger3','#3充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:14'),(10,'#1充电机定时充电','DEFAULT','ryTask.charger1','#1充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:24'),(11,'#2充电机定时充电','DEFAULT','ryTask.charger2','#2充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:24'),(12,'#6充电机定时充电','DEFAULT','ryTask.charger6','#6充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:34'),(13,'#4充电机定时充电','DEFAULT','ryTask.charger4','#4充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:34'),(14,'#1充电机定时充电','DEFAULT','ryTask.charger1','#1充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:34'),(15,'#8充电机定时充电','DEFAULT','ryTask.charger8','#8充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:34'),(16,'#7充电机定时充电','DEFAULT','ryTask.charger7','#7充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:34'),(17,'#5充电机定时充电','DEFAULT','ryTask.charger5','#5充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:34'),(18,'#3充电机定时充电','DEFAULT','ryTask.charger3','#3充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:34'),(19,'#2充电机定时充电','DEFAULT','ryTask.charger2','#2充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:39'),(20,'#1充电机定时充电','DEFAULT','ryTask.charger1','#1充电机定时充电 总共耗时：0毫秒','0','','2022-12-29 13:48:44'),(21,'#1充电机定时充电','DEFAULT','ryTask.charger1','#1充电机定时充电 总共耗时：2毫秒','0','','2023-01-11 18:05:59'),(22,'#3充电机定时充电','DEFAULT','ryTask.charger3','#3充电机定时充电 总共耗时：1毫秒','0','','2023-01-13 10:17:57'),(23,'#1充电机定时充电','DEFAULT','ryTask.charger1','#1充电机定时充电 总共耗时：6毫秒','0','','2023-01-13 10:17:57'),(24,'#8充电机定时充电','DEFAULT','ryTask.charger8','#8充电机定时充电 总共耗时：0毫秒','0','','2023-01-13 10:19:20'),(25,'#6充电机定时充电','DEFAULT','ryTask.charger6','#6充电机定时充电 总共耗时：0毫秒','0','','2023-01-13 10:20:03'),(26,'#7充电机定时充电','DEFAULT','ryTask.charger7','#7充电机定时充电 总共耗时：0毫秒','0','','2023-01-13 10:22:14'),(27,'#5充电机定时充电','DEFAULT','ryTask.charger5','#5充电机定时充电 总共耗时：4毫秒','0','','2023-01-13 11:59:58'),(28,'#1充电机定时充电','DEFAULT','ryTask.charger1','#1充电机定时充电 总共耗时：8毫秒','0','','2023-02-11 09:49:55'),(29,'#1充电机定时充电','DEFAULT','ryTask.charger1','#1充电机定时充电 总共耗时：14049毫秒','0','','2023-07-19 15:35:34'),(30,'#3充电机定时充电','DEFAULT','ryTask.charger3','#3充电机定时充电 总共耗时：0毫秒','0','','2023-07-31 11:10:16'),(31,'#3充电机定时充电','DEFAULT','ryTask.charger3','#3充电机定时充电 总共耗时：7259毫秒','0','','2023-07-31 11:12:36'),(32,'#3充电机定时充电','DEFAULT','ryTask.charger3','#3充电机定时充电 总共耗时：7643毫秒','0','','2023-08-02 14:51:34'),(33,'#1充电机定时充电','DEFAULT','ryTask.charger1','#1充电机定时充电 总共耗时：1074毫秒','0','','2023-08-04 11:00:02');
/*!40000 ALTER TABLE `sys_job_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_logininfor`
--

DROP TABLE IF EXISTS `sys_logininfor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_logininfor` (
  `info_id` bigint NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '提示消息',
  `login_time` datetime DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='系统访问记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_logininfor`
--

LOCK TABLES `sys_logininfor` WRITE;
/*!40000 ALTER TABLE `sys_logininfor` DISABLE KEYS */;
INSERT INTO `sys_logininfor` VALUES (1,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 12:33:30'),(2,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 12:38:03'),(3,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 12:39:24'),(4,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 12:40:12'),(5,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 12:57:09'),(6,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 12:59:25'),(7,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 13:31:24'),(8,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 13:33:09'),(9,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 13:34:22'),(10,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 13:41:29'),(11,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 13:43:15'),(12,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 13:44:39'),(13,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-10-23 13:46:04');
/*!40000 ALTER TABLE `sys_logininfor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_menu`
--

DROP TABLE IF EXISTS `sys_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_menu` (
  `menu_id` bigint NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint DEFAULT '0' COMMENT '父菜单ID',
  `order_num` int DEFAULT '0' COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '路由参数',
  `is_frame` int DEFAULT '1' COMMENT '是否为外链（0是 1否）',
  `is_cache` int DEFAULT '0' COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2046 DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='菜单权限表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_menu`
--

LOCK TABLES `sys_menu` WRITE;
/*!40000 ALTER TABLE `sys_menu` DISABLE KEYS */;
INSERT INTO `sys_menu` VALUES (1,'系统管理',0,13,'system',NULL,'',1,0,'M','0','0','','system','admin','2022-11-01 10:16:33','admin','2022-12-05 15:52:37','系统管理目录'),(100,'用户管理',1,1,'user','system/user/index','',1,0,'C','0','0','system:user:list','user','admin','2022-11-01 10:16:33','',NULL,'用户管理菜单'),(101,'角色管理',1,2,'role','system/role/index','',1,0,'C','0','0','system:role:list','peoples','admin','2022-11-01 10:16:33','',NULL,'角色管理菜单'),(102,'菜单管理',1,3,'menu','system/menu/index','',1,0,'C','0','0','system:menu:list','tree-table','admin','2022-11-01 10:16:33','',NULL,'菜单管理菜单'),(108,'日志管理',1,9,'log','','',1,0,'M','0','0','','log','admin','2022-11-01 10:16:33','',NULL,'日志管理菜单'),(117,'系统接口',1,3,'swagger','system/swagger/index','',1,0,'C','0','0','system:swagger:list','swagger','admin','2022-11-01 10:16:33','admin','2022-11-21 11:41:19','系统接口菜单'),(500,'操作日志',108,1,'operlog','monitor/operlog/index','',1,0,'C','0','0','monitor:operlog:list','form','admin','2022-11-01 10:16:33','',NULL,'操作日志菜单'),(501,'登录日志',108,2,'logininfor','monitor/logininfor/index','',1,0,'C','0','0','monitor:logininfor:list','logininfor','admin','2022-11-01 10:16:33','',NULL,'登录日志菜单'),(1000,'用户查询',100,1,'','','',1,0,'F','0','0','system:user:query','#','admin','2022-11-01 10:16:34','',NULL,''),(1001,'用户新增',100,2,'','','',1,0,'F','0','0','system:user:add','#','admin','2022-11-01 10:16:34','',NULL,''),(1002,'用户修改',100,3,'','','',1,0,'F','0','0','system:user:edit','#','admin','2022-11-01 10:16:34','',NULL,''),(1003,'用户删除',100,4,'','','',1,0,'F','0','0','system:user:remove','#','admin','2022-11-01 10:16:34','',NULL,''),(1004,'用户导出',100,5,'','','',1,0,'F','0','0','system:user:export','#','admin','2022-11-01 10:16:34','',NULL,''),(1005,'用户导入',100,6,'','','',1,0,'F','0','0','system:user:import','#','admin','2022-11-01 10:16:34','',NULL,''),(1006,'重置密码',100,7,'','','',1,0,'F','0','0','system:user:resetPwd','#','admin','2022-11-01 10:16:34','',NULL,''),(1007,'角色查询',101,1,'','','',1,0,'F','0','0','system:role:query','#','admin','2022-11-01 10:16:34','',NULL,''),(1008,'角色新增',101,2,'','','',1,0,'F','0','0','system:role:add','#','admin','2022-11-01 10:16:34','',NULL,''),(1009,'角色修改',101,3,'','','',1,0,'F','0','0','system:role:edit','#','admin','2022-11-01 10:16:34','',NULL,''),(1010,'角色删除',101,4,'','','',1,0,'F','0','0','system:role:remove','#','admin','2022-11-01 10:16:34','',NULL,''),(1011,'角色导出',101,5,'','','',1,0,'F','0','0','system:role:export','#','admin','2022-11-01 10:16:34','',NULL,''),(1012,'菜单查询',102,1,'','','',1,0,'F','0','0','system:menu:query','#','admin','2022-11-01 10:16:34','',NULL,''),(1013,'菜单新增',102,2,'','','',1,0,'F','0','0','system:menu:add','#','admin','2022-11-01 10:16:34','',NULL,''),(1014,'菜单修改',102,3,'','','',1,0,'F','0','0','system:menu:edit','#','admin','2022-11-01 10:16:34','',NULL,''),(1015,'菜单删除',102,4,'','','',1,0,'F','0','0','system:menu:remove','#','admin','2022-11-01 10:16:34','',NULL,''),(1039,'操作查询',500,1,'#','','',1,0,'F','0','0','monitor:operlog:query','#','admin','2022-11-01 10:16:34','',NULL,''),(1040,'操作删除',500,2,'#','','',1,0,'F','0','0','monitor:operlog:remove','#','admin','2022-11-01 10:16:34','',NULL,''),(1041,'日志导出',500,3,'#','','',1,0,'F','0','0','monitor:operlog:export','#','admin','2022-11-01 10:16:34','',NULL,''),(1042,'登录查询',501,1,'#','','',1,0,'F','0','0','monitor:logininfor:query','#','admin','2022-11-01 10:16:34','',NULL,''),(1043,'登录删除',501,2,'#','','',1,0,'F','0','0','monitor:logininfor:remove','#','admin','2022-11-01 10:16:34','',NULL,''),(1044,'日志导出',501,3,'#','','',1,0,'F','0','0','monitor:logininfor:export','#','admin','2022-11-01 10:16:34','',NULL,''),(1045,'账户解锁',501,4,'#','','',1,0,'F','0','0','monitor:logininfor:unlock','#','admin','2022-11-01 10:16:34','',NULL,''),(2000,'信息汇总',0,7,'info','info/index',NULL,1,0,'C','0','0','','#','admin','2022-11-10 09:46:49','admin','2022-12-05 15:52:04',''),(2001,'充电监控',0,8,'chargingMonitoring','chargingMonitoring/index',NULL,1,0,'C','0','0','web:operation:chargerStop','#','admin','2022-11-10 09:48:11','thb','2023-07-10 16:55:30',''),(2002,'电池监控',0,9,'batterMonitoring','batterMonitoring/index',NULL,1,0,'C','0','0','','#','admin','2022-11-10 09:49:13','admin','2022-12-08 11:03:52',''),(2003,'充/换电记录',0,10,'impulseChange',NULL,NULL,1,0,'M','0','0','','#','admin','2022-11-10 09:50:32','admin','2022-12-05 15:52:21',''),(2004,'统计记录',0,11,'statisticalRecord','statisticalRecord/index',NULL,1,0,'C','0','0','','#','admin','2022-11-10 09:51:52','admin','2022-12-05 15:52:26',''),(2005,'告警记录',0,12,'warnningRecord','warnningRecord/index',NULL,1,0,'C','0','0','','#','admin','2022-11-10 09:52:22','admin','2022-12-05 15:52:31',''),(2006,'充电记录',2003,0,'chargeRecord','impulseChange/chargeRecord/index',NULL,1,0,'C','0','0',NULL,'#','admin','2022-11-15 17:01:34','',NULL,''),(2007,'换电记录',2003,1,'changeRecord','impulseChange/changeRecord/index',NULL,1,0,'C','0','0','','#','admin','2022-11-15 17:02:56','admin','2022-11-15 17:04:46',''),(2008,'车辆管理',1,10,'car','system/car/index',NULL,1,0,'M','0','0','','#','admin','2022-11-19 10:58:43','admin','2022-11-19 11:05:00',''),(2009,'电池管理',1,3,'battery','system/battery/index',NULL,1,0,'M','0','0','','#','admin','2022-11-19 10:59:27','admin','2022-11-19 11:05:14',''),(2010,'充电记录列表',2006,1,'',NULL,NULL,1,0,'F','0','0','web:chargeRecord:list','#','admin','2022-12-05 15:22:36','',NULL,''),(2012,'应急充电新增',2006,2,'',NULL,NULL,1,0,'F','0','0','web:chargeRecord:add','#','admin','2022-12-05 15:24:06','admin','2022-12-05 15:41:20',''),(2015,'充电记录导出',2006,3,'',NULL,NULL,1,0,'F','0','0','web:chargeRecord:export','#','admin','2022-12-05 15:25:49','admin','2022-12-05 15:41:25',''),(2016,'换电记录列表',2007,1,'',NULL,NULL,1,0,'F','0','0','web:changePowerRecord:list','#','admin','2022-12-05 15:30:31','',NULL,''),(2017,'换电记录新增',2007,2,'',NULL,NULL,1,0,'F','0','0','web:changePowerRecord:add','#','admin','2022-12-05 15:31:03','',NULL,''),(2018,'换电记录导出',2007,3,'',NULL,NULL,1,0,'F','0','0','web:changePowerRecord:export','#','admin','2022-12-05 15:31:30','',NULL,''),(2019,'统计记录导出',2004,1,'',NULL,NULL,1,0,'F','0','0','web:chargeRecord:exportData','#','admin','2022-12-05 15:33:48','',NULL,''),(2020,'告警记录列表',2005,1,'',NULL,NULL,1,0,'F','0','0','web:alarmRecord:list','#','admin','2022-12-05 15:35:05','',NULL,''),(2021,'告警记录导出',2005,2,'',NULL,NULL,1,0,'F','0','0','web:alarmRecord:export','#','admin','2022-12-05 15:35:28','',NULL,''),(2022,'电池管理列表',2009,1,'',NULL,NULL,1,0,'F','0','0','web:battery:list','#','admin','2022-12-05 15:38:04','',NULL,''),(2023,'电池管理新增',2009,3,'',NULL,NULL,1,0,'F','0','0','web:battery:add','#','admin','2022-12-05 15:38:30','admin','2022-12-05 16:10:02',''),(2024,'点出管理导入',2009,6,'',NULL,NULL,1,0,'F','0','0','web:battery:exportTemplate','#','admin','2022-12-05 15:39:25','admin','2022-12-05 16:10:12',''),(2025,'车辆管理列表',2008,1,'',NULL,NULL,1,0,'F','0','0','web:vehicle:list','#','admin','2022-12-05 15:43:03','',NULL,''),(2026,'车辆管理新增',2008,3,'',NULL,NULL,1,0,'F','0','0','web:vehicle:add','#','admin','2022-12-05 15:43:26','admin','2022-12-05 16:48:21',''),(2027,'车辆管理导入',2008,6,'',NULL,NULL,1,0,'F','0','0','web:vehicle:importData','#','admin','2022-12-05 15:44:04','admin','2022-12-05 16:48:16',''),(2028,'首页复位',0,1,'',NULL,NULL,1,0,'F','0','0','web:operation:reset','#','admin','2022-12-05 15:49:08','',NULL,''),(2029,'首页暂停',0,2,'',NULL,NULL,1,0,'F','0','0','web:operation:suspend','#','admin','2022-12-05 15:49:26','',NULL,''),(2030,'首页继续',0,3,'',NULL,NULL,1,0,'F','0','0','web:operation:continue','#','admin','2022-12-05 15:49:59','',NULL,''),(2031,'首页换仓',0,4,'',NULL,NULL,1,0,'F','0','0','web:operation:change','#','admin','2022-12-05 15:50:18','',NULL,''),(2032,'首页急停',0,5,'',NULL,NULL,1,0,'F','0','0','web:operation:scram','#','admin','2022-12-05 15:51:34','',NULL,''),(2033,'结束换电',0,6,'',NULL,NULL,1,0,'F','0','0','web:operation:endChange','#','admin','2022-12-05 15:51:58','',NULL,''),(2034,'电池管理查询',2009,2,'',NULL,NULL,1,0,'F','0','0','web:battery:query','#','admin','2022-12-05 16:09:43','admin','2022-12-05 16:09:55',''),(2035,'电池管理修改',2009,4,'',NULL,NULL,1,0,'F','0','0','web:battery:edit','#','admin','2022-12-05 16:10:37','',NULL,''),(2036,'电池管理删除',2009,5,'',NULL,NULL,1,0,'F','0','0','web:battery:remove','#','admin','2022-12-05 16:11:00','admin','2022-12-05 16:11:16',''),(2037,'车辆管理查询',2008,2,'',NULL,NULL,1,0,'F','0','0','web:vehicle:query','#','admin','2022-12-05 16:49:38','',NULL,''),(2038,'车辆管理修改',2008,4,'',NULL,NULL,1,0,'F','0','0','web:vehicle:edit','#','admin','2022-12-05 16:49:59','',NULL,''),(2039,'车辆管理删除',2008,5,'',NULL,NULL,1,0,'F','0','0','web:vehicle:remove','#','admin','2022-12-05 16:50:22','',NULL,''),(2040,'系统设置',1,1,'sys','system/system/index',NULL,1,0,'C','0','0','system:pwtConfig:query','#','admin','2022-12-28 13:47:03','thb','2023-07-10 16:45:59',''),(2041,'充电监控启动',2001,1,'',NULL,NULL,1,0,'F','0','0','web:operation:chargerStart','#','admin','2023-07-01 16:29:30','',NULL,''),(2042,'模式切换 ',0,0,'',NULL,NULL,1,0,'F','0','0','web:operation:changeMode','#','thb','2023-07-02 20:33:59','',NULL,''),(2043,'停机',2001,1,'',NULL,NULL,1,0,'F','0','0','web:operation:chargerStop','#','thb','2023-07-10 16:51:01','',NULL,''),(2044,'停机按钮',2001,1,'',NULL,NULL,1,0,'F','0','0','web:operation:chargerStop','#','thb','2023-07-10 16:52:46','',NULL,''),(2045,'充电监控停机',2001,1,'',NULL,NULL,1,0,'F','0','0','web:operation:chargerStop','#','thb','2023-07-10 16:54:35','',NULL,'');
/*!40000 ALTER TABLE `sys_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_notice`
--

DROP TABLE IF EXISTS `sys_notice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_notice` (
  `notice_id` int NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='通知公告表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_notice`
--

LOCK TABLES `sys_notice` WRITE;
/*!40000 ALTER TABLE `sys_notice` DISABLE KEYS */;
INSERT INTO `sys_notice` VALUES (1,'温馨提醒：2018-07-01 若依新版本发布啦','2',_binary '新版本内容','0','admin','2022-11-01 10:16:50','',NULL,'管理员'),(2,'维护通知：2018-07-01 若依系统凌晨维护','1',_binary '维护内容','0','admin','2022-11-01 10:16:50','',NULL,'管理员');
/*!40000 ALTER TABLE `sys_notice` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_oper_log`
--

DROP TABLE IF EXISTS `sys_oper_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_oper_log` (
  `oper_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '模块标题',
  `business_type` int DEFAULT '0' COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '请求方式',
  `operator_type` int DEFAULT '0' COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '返回参数',
  `status` int DEFAULT '0' COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`oper_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='操作日志记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_oper_log`
--

LOCK TABLES `sys_oper_log` WRITE;
/*!40000 ALTER TABLE `sys_oper_log` DISABLE KEYS */;
INSERT INTO `sys_oper_log` VALUES (1,'系统配置',2,'com.pwt.web.controller.system.PwtConfigController.edit()','PUT',1,'admin',NULL,'/system/pwtConfig','127.0.0.1','内网IP','{\"agreementType\":\"A\",\"charger1Emg\":false,\"charger1Ip\":\"192.168.3.41\",\"charger1No\":\"11111111111113\",\"charger1Port\":8080,\"charger2Emg\":false,\"charger2Ip\":\"192.168.3.42\",\"charger2No\":\"11111111111121\",\"charger2Port\":8080,\"charger3Emg\":false,\"charger3Ip\":\"192.168.3.43\",\"charger3No\":\"11111111111111\",\"charger3Port\":8088,\"charger4Emg\":true,\"charger4Ip\":\"192.168.3.44\",\"charger4No\":\"11111111111141\",\"charger4Port\":8088,\"charger5Emg\":false,\"charger5Ip\":\"192.168.3.45\",\"charger5No\":\"0\",\"charger5Port\":8088,\"charger6Emg\":false,\"charger6Ip\":\"192.168.3.46\",\"charger6No\":\"0\",\"charger6Port\":8088,\"charger7Emg\":false,\"charger7Ip\":\"192.168.3.47\",\"charger7No\":\"0\",\"charger7Port\":8088,\"charger8Emg\":false,\"charger8Ip\":\"192.168.3.48\",\"charger8No\":\"0\",\"charger8Port\":8088,\"id\":1,\"params\":{},\"rfidIp\":\"192.168.0.3\",\"rfidPort\":2000,\"robotIp\":\"19.168.0.1\",\"robotNo\":\"Robbot_001\",\"scannerIp\":\"192.168.0.2\",\"scannerPort\":3000,\"systemIp\":\"127.0.0.1\",\"systemPort\":3000,\"vehicleCidr\":\"127.0.0.1\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2023-10-23 12:37:09'),(2,'系统配置',2,'com.pwt.web.controller.system.PwtConfigController.edit()','PUT',1,'admin',NULL,'/system/pwtConfig','127.0.0.1','内网IP','{\"agreementType\":\"A\",\"charger1Emg\":false,\"charger1Ip\":\"192.168.3.41\",\"charger1No\":\"11111111111113\",\"charger1Port\":8080,\"charger2Emg\":true,\"charger2Ip\":\"192.168.3.42\",\"charger2No\":\"11111111111121\",\"charger2Port\":8080,\"charger3Emg\":false,\"charger3Ip\":\"192.168.3.43\",\"charger3No\":\"11111111111111\",\"charger3Port\":8088,\"charger4Emg\":false,\"charger4Ip\":\"192.168.3.44\",\"charger4No\":\"11111111111141\",\"charger4Port\":8088,\"charger5Emg\":false,\"charger5Ip\":\"192.168.3.45\",\"charger5No\":\"0\",\"charger5Port\":8088,\"charger6Emg\":false,\"charger6Ip\":\"192.168.3.46\",\"charger6No\":\"0\",\"charger6Port\":8088,\"charger7Emg\":false,\"charger7Ip\":\"192.168.3.47\",\"charger7No\":\"0\",\"charger7Port\":8088,\"charger8Emg\":false,\"charger8Ip\":\"192.168.3.48\",\"charger8No\":\"0\",\"charger8Port\":8088,\"id\":1,\"params\":{},\"rfidIp\":\"192.168.0.3\",\"rfidPort\":2000,\"robotIp\":\"19.168.0.1\",\"robotNo\":\"Robbot_001\",\"scannerIp\":\"192.168.0.2\",\"scannerPort\":3000,\"systemIp\":\"127.0.0.1\",\"systemPort\":3000,\"vehicleCidr\":\"127.0.0.1\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2023-10-23 12:39:47'),(3,'系统配置',2,'com.pwt.web.controller.system.PwtConfigController.edit()','PUT',1,'admin',NULL,'/system/pwtConfig','127.0.0.1','内网IP','{\"agreementType\":\"A\",\"charger1Emg\":false,\"charger1Ip\":\"192.168.3.41\",\"charger1No\":\"11111111111111\",\"charger1Port\":8080,\"charger2Emg\":false,\"charger2Ip\":\"192.168.3.42\",\"charger2No\":\"22222222222221\",\"charger2Port\":8080,\"charger3Emg\":false,\"charger3Ip\":\"192.168.3.43\",\"charger3No\":\"33333333333331\",\"charger3Port\":8088,\"charger4Emg\":false,\"charger4Ip\":\"192.168.3.44\",\"charger4No\":\"44444444444441\",\"charger4Port\":8088,\"charger5Emg\":false,\"charger5Ip\":\"192.168.3.45\",\"charger5No\":\"55555555555551\",\"charger5Port\":8088,\"charger6Emg\":false,\"charger6Ip\":\"192.168.3.46\",\"charger6No\":\"66666666666661\",\"charger6Port\":8088,\"charger7Emg\":false,\"charger7Ip\":\"192.168.3.47\",\"charger7No\":\"77777777777771\",\"charger7Port\":8088,\"charger8Emg\":false,\"charger8Ip\":\"192.168.3.48\",\"charger8No\":\"88888888888881\",\"charger8Port\":8088,\"id\":1,\"params\":{},\"rfidIp\":\"192.168.0.3\",\"rfidPort\":2000,\"robotIp\":\"19.168.0.1\",\"robotNo\":\"Robbot_001\",\"scannerIp\":\"192.168.0.2\",\"scannerPort\":3000,\"systemIp\":\"127.0.0.1\",\"systemPort\":3000,\"vehicleCidr\":\"127.0.0.1\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2023-10-23 12:58:34'),(4,'系统配置',2,'com.pwt.web.controller.system.PwtConfigController.edit()','PUT',1,'admin',NULL,'/system/pwtConfig','127.0.0.1','内网IP','{\"agreementType\":\"A\",\"charger1Emg\":false,\"charger1Ip\":\"192.168.3.41\",\"charger1No\":\"11111111111112\",\"charger1Port\":8080,\"charger2Emg\":false,\"charger2Ip\":\"192.168.3.42\",\"charger2No\":\"22222222222221\",\"charger2Port\":8080,\"charger3Emg\":false,\"charger3Ip\":\"192.168.3.43\",\"charger3No\":\"33333333333331\",\"charger3Port\":8088,\"charger4Emg\":false,\"charger4Ip\":\"192.168.3.44\",\"charger4No\":\"44444444444441\",\"charger4Port\":8088,\"charger5Emg\":false,\"charger5Ip\":\"192.168.3.45\",\"charger5No\":\"55555555555551\",\"charger5Port\":8088,\"charger6Emg\":false,\"charger6Ip\":\"192.168.3.46\",\"charger6No\":\"66666666666661\",\"charger6Port\":8088,\"charger7Emg\":false,\"charger7Ip\":\"192.168.3.47\",\"charger7No\":\"77777777777771\",\"charger7Port\":8088,\"charger8Emg\":false,\"charger8Ip\":\"192.168.3.48\",\"charger8No\":\"88888888888881\",\"charger8Port\":8088,\"id\":1,\"params\":{},\"rfidIp\":\"192.168.0.3\",\"rfidPort\":2000,\"robotIp\":\"19.168.0.1\",\"robotNo\":\"Robbot_001\",\"scannerIp\":\"192.168.0.2\",\"scannerPort\":3000,\"systemIp\":\"127.0.0.1\",\"systemPort\":3000,\"vehicleCidr\":\"127.0.0.1\"}',NULL,1,'com.pwt.netty.BusinessException: 缺少云平台地址配置','2023-10-23 13:11:03'),(5,'系统配置',2,'com.pwt.web.controller.system.PwtConfigController.edit()','PUT',1,'admin',NULL,'/system/pwtConfig','127.0.0.1','内网IP','{\"agreementType\":\"A\",\"charger1Emg\":false,\"charger1Ip\":\"192.168.3.41\",\"charger1No\":\"11111111111112\",\"charger1Port\":8080,\"charger2Emg\":false,\"charger2Ip\":\"192.168.3.42\",\"charger2No\":\"22222222222221\",\"charger2Port\":8080,\"charger3Emg\":false,\"charger3Ip\":\"192.168.3.43\",\"charger3No\":\"33333333333331\",\"charger3Port\":8088,\"charger4Emg\":false,\"charger4Ip\":\"192.168.3.44\",\"charger4No\":\"44444444444441\",\"charger4Port\":8088,\"charger5Emg\":false,\"charger5Ip\":\"192.168.3.45\",\"charger5No\":\"55555555555551\",\"charger5Port\":8088,\"charger6Emg\":false,\"charger6Ip\":\"192.168.3.46\",\"charger6No\":\"66666666666661\",\"charger6Port\":8088,\"charger7Emg\":false,\"charger7Ip\":\"192.168.3.47\",\"charger7No\":\"77777777777771\",\"charger7Port\":8088,\"charger8Emg\":false,\"charger8Ip\":\"192.168.3.48\",\"charger8No\":\"88888888888881\",\"charger8Port\":8088,\"id\":1,\"params\":{},\"rfidIp\":\"192.168.0.3\",\"rfidPort\":2000,\"robotIp\":\"19.168.0.1\",\"robotNo\":\"Robbot_001\",\"scannerIp\":\"192.168.0.2\",\"scannerPort\":3000,\"systemIp\":\"127.0.0.1\",\"systemPort\":3000,\"vehicleCidr\":\"127.0.0.1\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2023-10-23 13:11:54'),(6,'系统配置',2,'com.pwt.web.controller.system.PwtConfigController.edit()','PUT',1,'admin',NULL,'/system/pwtConfig','127.0.0.1','内网IP','{\"agreementType\":\"A\",\"charger1Emg\":false,\"charger1Ip\":\"192.168.3.41\",\"charger1No\":\"11111111111111\",\"charger1Port\":8080,\"charger2Emg\":false,\"charger2Ip\":\"192.168.3.42\",\"charger2No\":\"22222222222221\",\"charger2Port\":8080,\"charger3Emg\":false,\"charger3Ip\":\"192.168.3.43\",\"charger3No\":\"33333333333331\",\"charger3Port\":8088,\"charger4Emg\":false,\"charger4Ip\":\"192.168.3.44\",\"charger4No\":\"44444444444441\",\"charger4Port\":8088,\"charger5Emg\":false,\"charger5Ip\":\"192.168.3.45\",\"charger5No\":\"55555555555551\",\"charger5Port\":8088,\"charger6Emg\":false,\"charger6Ip\":\"192.168.3.46\",\"charger6No\":\"66666666666661\",\"charger6Port\":8088,\"charger7Emg\":false,\"charger7Ip\":\"192.168.3.47\",\"charger7No\":\"77777777777771\",\"charger7Port\":8088,\"charger8Emg\":false,\"charger8Ip\":\"192.168.3.48\",\"charger8No\":\"88888888888881\",\"charger8Port\":8088,\"id\":1,\"params\":{},\"rfidIp\":\"192.168.0.3\",\"rfidPort\":2000,\"robotIp\":\"19.168.0.1\",\"robotNo\":\"Robbot_001\",\"scannerIp\":\"192.168.0.2\",\"scannerPort\":3000,\"systemIp\":\"127.0.0.1\",\"systemPort\":3000,\"vehicleCidr\":\"127.0.0.1\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2023-10-23 13:12:07'),(7,'系统配置',2,'com.pwt.web.controller.system.PwtConfigController.edit()','PUT',1,'admin',NULL,'/system/pwtConfig','127.0.0.1','内网IP','{\"agreementType\":\"A\",\"charger1Emg\":false,\"charger1Ip\":\"192.168.3.41\",\"charger1No\":\"11111111111111\",\"charger1Port\":8080,\"charger2Emg\":false,\"charger2Ip\":\"192.168.3.42\",\"charger2No\":\"22222222222221\",\"charger2Port\":8080,\"charger3Emg\":false,\"charger3Ip\":\"192.168.3.43\",\"charger3No\":\"33333333333331\",\"charger3Port\":8088,\"charger4Emg\":false,\"charger4Ip\":\"192.168.3.44\",\"charger4No\":\"44444444444441\",\"charger4Port\":8088,\"charger5Emg\":false,\"charger5Ip\":\"192.168.3.45\",\"charger5No\":\"55555555555551\",\"charger5Port\":8088,\"charger6Emg\":false,\"charger6Ip\":\"192.168.3.46\",\"charger6No\":\"66666666666661\",\"charger6Port\":8088,\"charger7Emg\":false,\"charger7Ip\":\"192.168.3.47\",\"charger7No\":\"77777777777771\",\"charger7Port\":8088,\"charger8Emg\":false,\"charger8Ip\":\"192.168.3.48\",\"charger8No\":\"88888888888881\",\"charger8Port\":8088,\"id\":1,\"params\":{},\"rfidIp\":\"192.168.0.3\",\"rfidPort\":2000,\"robotIp\":\"19.168.0.1\",\"robotNo\":\"Robbot_001\",\"scannerIp\":\"192.168.0.2\",\"scannerPort\":3000,\"systemIp\":\"127.0.0.1\",\"systemPort\":3000,\"vehicleCidr\":\"127.0.0.1\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2023-10-23 13:34:00'),(8,'系统配置',2,'com.pwt.web.controller.system.PwtConfigController.edit()','PUT',1,'admin',NULL,'/system/pwtConfig','127.0.0.1','内网IP','{\"agreementType\":\"A\",\"charger1Emg\":false,\"charger1Ip\":\"192.168.3.41\",\"charger1No\":\"11111111111111\",\"charger1Port\":8080,\"charger2Emg\":true,\"charger2Ip\":\"192.168.3.42\",\"charger2No\":\"22222222222221\",\"charger2Port\":8080,\"charger3Emg\":false,\"charger3Ip\":\"192.168.3.43\",\"charger3No\":\"33333333333331\",\"charger3Port\":8088,\"charger4Emg\":false,\"charger4Ip\":\"192.168.3.44\",\"charger4No\":\"44444444444441\",\"charger4Port\":8088,\"charger5Emg\":false,\"charger5Ip\":\"192.168.3.45\",\"charger5No\":\"55555555555551\",\"charger5Port\":8088,\"charger6Emg\":false,\"charger6Ip\":\"192.168.3.46\",\"charger6No\":\"66666666666661\",\"charger6Port\":8088,\"charger7Emg\":false,\"charger7Ip\":\"192.168.3.47\",\"charger7No\":\"77777777777771\",\"charger7Port\":8088,\"charger8Emg\":false,\"charger8Ip\":\"192.168.3.48\",\"charger8No\":\"88888888888881\",\"charger8Port\":8088,\"id\":1,\"params\":{},\"rfidIp\":\"192.168.0.3\",\"rfidPort\":2000,\"robotIp\":\"19.168.0.1\",\"robotNo\":\"Robbot_001\",\"scannerIp\":\"192.168.0.2\",\"scannerPort\":3000,\"systemIp\":\"127.0.0.1\",\"systemPort\":3000,\"vehicleCidr\":\"127.0.0.1\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2023-10-23 13:42:56'),(9,'系统配置',2,'com.pwt.web.controller.system.PwtConfigController.edit()','PUT',1,'admin',NULL,'/system/pwtConfig','127.0.0.1','内网IP','{\"agreementType\":\"A\",\"charger1Emg\":false,\"charger1Ip\":\"192.168.3.41\",\"charger1No\":\"11111111111111\",\"charger1Port\":8080,\"charger2Emg\":false,\"charger2Ip\":\"192.168.3.42\",\"charger2No\":\"22222222222221\",\"charger2Port\":8080,\"charger3Emg\":false,\"charger3Ip\":\"192.168.3.43\",\"charger3No\":\"33333333333331\",\"charger3Port\":8088,\"charger4Emg\":true,\"charger4Ip\":\"192.168.3.44\",\"charger4No\":\"44444444444441\",\"charger4Port\":8088,\"charger5Emg\":false,\"charger5Ip\":\"192.168.3.45\",\"charger5No\":\"55555555555551\",\"charger5Port\":8088,\"charger6Emg\":false,\"charger6Ip\":\"192.168.3.46\",\"charger6No\":\"66666666666661\",\"charger6Port\":8088,\"charger7Emg\":false,\"charger7Ip\":\"192.168.3.47\",\"charger7No\":\"77777777777771\",\"charger7Port\":8088,\"charger8Emg\":false,\"charger8Ip\":\"192.168.3.48\",\"charger8No\":\"88888888888881\",\"charger8Port\":8088,\"id\":1,\"params\":{},\"rfidIp\":\"192.168.0.3\",\"rfidPort\":2000,\"robotIp\":\"19.168.0.1\",\"robotNo\":\"Robbot_001\",\"scannerIp\":\"192.168.0.2\",\"scannerPort\":3000,\"systemIp\":\"127.0.0.1\",\"systemPort\":3000,\"vehicleCidr\":\"127.0.0.1\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2023-10-23 13:44:20'),(10,'系统配置',2,'com.pwt.web.controller.system.PwtConfigController.edit()','PUT',1,'admin',NULL,'/system/pwtConfig','127.0.0.1','内网IP','{\"agreementType\":\"A\",\"charger1Emg\":false,\"charger1Ip\":\"192.168.3.41\",\"charger1No\":\"11111111111111\",\"charger1Port\":8080,\"charger2Emg\":false,\"charger2Ip\":\"192.168.3.42\",\"charger2No\":\"22222222222221\",\"charger2Port\":8080,\"charger3Emg\":false,\"charger3Ip\":\"192.168.3.43\",\"charger3No\":\"33333333333331\",\"charger3Port\":8088,\"charger4Emg\":false,\"charger4Ip\":\"192.168.3.44\",\"charger4No\":\"44444444444441\",\"charger4Port\":8088,\"charger5Emg\":false,\"charger5Ip\":\"192.168.3.45\",\"charger5No\":\"55555555555551\",\"charger5Port\":8088,\"charger6Emg\":false,\"charger6Ip\":\"192.168.3.46\",\"charger6No\":\"66666666666661\",\"charger6Port\":8088,\"charger7Emg\":false,\"charger7Ip\":\"192.168.3.47\",\"charger7No\":\"77777777777771\",\"charger7Port\":8088,\"charger8Emg\":false,\"charger8Ip\":\"192.168.3.48\",\"charger8No\":\"88888888888881\",\"charger8Port\":8088,\"id\":1,\"params\":{},\"rfidIp\":\"192.168.0.3\",\"rfidPort\":2000,\"robotIp\":\"19.168.0.1\",\"robotNo\":\"Robbot_001\",\"scannerIp\":\"192.168.0.2\",\"scannerPort\":3000,\"systemIp\":\"127.0.0.1\",\"systemPort\":3000,\"vehicleCidr\":\"127.0.0.1\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2023-10-23 13:49:02');
/*!40000 ALTER TABLE `sys_oper_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_role`
--

DROP TABLE IF EXISTS `sys_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_role` (
  `role_id` bigint NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) DEFAULT '1' COMMENT '菜单树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=utf8mb3 ROW_FORMAT=DYNAMIC COMMENT='角色信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_role`
--

LOCK TABLES `sys_role` WRITE;
/*!40000 ALTER TABLE `sys_role` DISABLE KEYS */;
INSERT INTO `sys_role` VALUES (1,'管理员','admin',1,'1',1,'0','0','admin','2022-11-01 10:16:32','',NULL,'管理员'),(2,'操作员','operator',2,'2',1,'0','0','admin','2022-11-01 10:16:32','admin','2023-08-25 09:16:04','监控员'),(100,'监控员','monitor',3,'1',0,'0','0','admin','2022-12-05 15:36:29','admin','2023-01-13 09:39:20','监控员');
/*!40000 ALTER TABLE `sys_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_role_menu`
--

DROP TABLE IF EXISTS `sys_role_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_role_menu` (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`,`menu_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='角色和菜单关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_role_menu`
--

LOCK TABLES `sys_role_menu` WRITE;
/*!40000 ALTER TABLE `sys_role_menu` DISABLE KEYS */;
INSERT INTO `sys_role_menu` VALUES (1,1),(1,100),(1,101),(1,102),(1,108),(1,117),(1,500),(1,501),(1,1000),(1,1001),(1,1002),(1,1003),(1,1004),(1,1005),(1,1006),(1,1007),(1,1008),(1,1009),(1,1010),(1,1011),(1,1012),(1,1013),(1,1014),(1,1015),(1,1039),(1,1040),(1,1041),(1,1042),(1,1043),(1,1044),(1,1045),(1,2000),(1,2001),(1,2002),(1,2003),(1,2004),(1,2005),(1,2006),(1,2007),(1,2008),(1,2009),(1,2010),(1,2012),(1,2015),(1,2016),(1,2017),(1,2018),(1,2019),(1,2020),(1,2021),(1,2022),(1,2023),(1,2024),(1,2025),(1,2026),(1,2027),(1,2028),(1,2029),(1,2030),(1,2031),(1,2032),(1,2033),(1,2034),(1,2035),(1,2036),(1,2037),(1,2038),(1,2039),(1,2040),(1,2041),(1,2042),(2,2000),(2,2001),(2,2002),(2,2003),(2,2004),(2,2005),(2,2006),(2,2007),(2,2019),(2,2020),(2,2021),(2,2028),(2,2029),(2,2030),(2,2031),(2,2032),(2,2033),(2,2041),(2,2043),(2,2044),(2,2045),(100,2000),(100,2001),(100,2002),(100,2003),(100,2004),(100,2005),(100,2006),(100,2007),(100,2010),(100,2016),(100,2020);
/*!40000 ALTER TABLE `sys_role_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_user`
--

DROP TABLE IF EXISTS `sys_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_user` (
  `user_id` bigint NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `user_name` varchar(30) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `name` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '用户姓名',
  `phonenumber` varchar(11) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='用户信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_user`
--

LOCK TABLES `sys_user` WRITE;
/*!40000 ALTER TABLE `sys_user` DISABLE KEYS */;
INSERT INTO `sys_user` VALUES (1,'admin','管理员','00','840618902@qq.com','18505107840','0','','$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2','0','0','127.0.0.1','2023-10-23 13:46:05','admin','2022-11-01 10:16:30','','2023-10-23 13:46:04','管理员');
/*!40000 ALTER TABLE `sys_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_user_role`
--

DROP TABLE IF EXISTS `sys_user_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_user_role` (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`,`role_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='用户和角色关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_user_role`
--

LOCK TABLES `sys_user_role` WRITE;
/*!40000 ALTER TABLE `sys_user_role` DISABLE KEYS */;
INSERT INTO `sys_user_role` VALUES (1,1);
/*!40000 ALTER TABLE `sys_user_role` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-10-23 13:52:47
